About This File

Reporting 7.5.1 CCPulse+ HELP

Copyright © 1996–2008 Genesys Telecommunications Laboratories, Inc. All rights reserved.
75rt_ccpulse+-help_07-2008_v7.5.101.00

Pre-Release

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library DVD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see Licensing Genesys Products (for 6.5 and earlier products) or Genesys 7 Licensing Guide (for 7.1 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


CCPulse+ Help Overview

This CCPulse+ Help file assists you with the following:

  • Understanding the CCPulse+ interface

  • Defining application settings

  • Managing workspaces

  • Creating and using templates, thresholds, and actions

  • Creating real-time and historical views

  • Creating a query-based view

  • Using the Import/Export utility

  • Printing reports

Many of these topics assume that you have a sound understanding of Stat Server, its options, configuration, and functionality. Please refer to the Framework 7.6 Stat Server User's Guide to refresh your knowledge. You may also want to refer to the Framework 7.5 Configuration Manager Help file.


New In This Release

CCPulse+ 7.5.1 includes the following new features:

  • Enhanced visualization of agent and agent group status in the workspace view.

  • Enhanced Extended Current Status pane showing capacity per media for agents and agent groups in a new Capacity window.

  • Enhanced table and graph views displaying current capacity per media for agents and agent groups.

  • Enhanced template wizard to allow the addition of current capacity per media using pre-defined or user-defined display formats.

  • New configuration options that enable the current capacity feature: EnableAgentCapacity, EnableAgentCapacityStatus, EnableAgentGroupCapacity, and MediaTypes. These options are described in the Reporting 7.5 CCPulse+ Administrator's Guide.


Printing this Help File

Use the Print button on the toolbar to print this Help file.

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Contents tab, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic.

    • Print the selected heading and all subtopics.

  3. Select OK.


CCPulse+ Overview

CCPulse+ provides fully customizable views of real-time and historical data for contact center objects and facilitates the analysis of staffing, scheduling, business, and contact-center routing strategies.

CCPulse+ uses a direct communication link to Stat Server to obtain and display statistics in real time. For historical reporting, the same statistics are collected from Stat Server by the Data Collection Service and, after aggregation into desired reporting intervals, are permanently stored in a database controlled by the Data Mart Service.

Understanding Templates, Workspaces, and Views

A view is the on-screen display of the selected template applied to specified configuration objects. Workspaces include views, the configuration objects you want to monitor, and additional data such as the Stat Server to which you are connected, any Thresholds and Actions applied, and table and graph settings. When you initially open CCPulse+, all the panes are blank. To start working with CCPulse+, you must create a workspace.

Workspaces

The objects you select to monitor and your active views are part of what CCPulse+ terms a workspace. A workspace exists inside the CCPulse+ main window. It has a Stat Server connection, storages, and objects selected for monitoring. It also contains all open views with their attributes, which include the names of the templates used to create the views, positioning and size of the view window, width of columns in the Table view, and statistics about the objects selected.

Any user can create and save workspaces.

Once you have chosen what to monitor, you must create one or more views. These tell CCPulse+ what data to collect about the objects you are interested in. However, you cannot create a view without a template.

Templates

A template defines the statistics you want included in a report and the manner in which they are displayed. You use templates to create views. Any CCPulse+ user can use any template that is in the storage associated with the current instance of CCPulse+. Administrators can import templates into a storage using the Import/Export Utility.

Note: The template itself does not display statistical results; it is the view that you create based on the template that displays them. If you modify a template, already-created views based on that template change correspondingly after you close and then reopen the workspace.

Views

A view is the section of the workspace containing tables, and graphs which display the actual data—historical or real-time—for one or more objects you selected when you created the workspace. You can have multiple views stored in a workspace. Any user can create views.

Note: You can deactivate some of your views to improve performance. CCPulse+ only collects statistics from Stat Server for active views. For further information on CCPulse+ performance measurements, refer to the Reporting 7.5 Reference Manual.

Features and Functions

These are the main CCPulse+ features and functions:

  • The CCPulse+ Interface—Introduces the menus, toolbar, and the various panes that make up the CCPulse+ application interface.

  • Application Settings—Explains how to customize the way CCPulse+ appears on a specific workstation.

  • Creating Templates—Explains how to create templates using the Template Wizard.

  • Working with Workspaces—Explains how to use the Configuration Wizard to create new workspaces. It also provides instructions for opening, deleting, and renaming workspaces.

  • Creating Views—Explains how to create real-time, historical, and query-based views.

  • Creating and Associating Thresholds and Actions—Describes how to use the Threshold Wizard and the Action Wizard to assign threshold values and specify actions that should occur if a specified threshold is met.

  • Creating Custom Threshold and Actions—Explains how to create customized thresholds and actions.

  • Using the Import/Export Utility—Explains how to use this utility to copy templates, thresholds, and/or actions from one location (storage) to another.

  • Printing—Explains how to specify how printed reports should look and how to print them.

  • Exporting Views to HTML Files—Explains how to save real-time, historical, and query-based views as HTML files.


CCPulse+ Interface Overview

Understanding the CCPulse+ Interface OVERVIEW

UNDERSTANDING THE CCPulse+ Interface Overview

The CCPulse+ main window is the primary entry to CCPulse+. Click the image areas shown below for more details.


Understanding the CCPulse+ Interface > CCPulse+ Menus

CCPulse+ Menus Overview

Use the CCPulse+ menus to determine what appears in the interface during your session. Click a menu on the image below to read about the commands available from that menu.


Understanding the CCPulse+ Interface > CCPulse+ Menus

File Menu

Use the File menu to open, save, or close a workspace or to print the current view. To read information about a command, click the menu item on the image below or scroll down this page.

Note: Some of the commands available from this menu are also available from the toolbar.

Use the commands in the File menu to perform the following tasks:

New

Invokes the Configuration Wizard to create a new workspace. Selecting the New icon from the toolbar or pressing the Ctrl and N keys simultaneously (Ctrl+N) performs the same action.

Open

Opens the Open an Existing Workspace dialog box from which you can open a previously saved workspace. Selecting the Open icon from the toolbar or pressing Ctrl+O performs the same action.

Close All

Closes all active views and the current workspace.

Save

Saves the currently open workspace. Selecting the Save icon from the toolbar or pressing Ctrl+S performs the same action.

Save As

Saves the active workspace under a different name.

Save As HTML

Saves the current grid view as an HTML document in a location you specify. This menu item is available only when a view is open in the Views pane.

Page Setup

Opens the Page Setup dialog box where you can select the paper size, specify page orientation, and set page margins for printing your report.

Print Preview

Opens the Print Preview window where you can view your report before printing it and manage report styles.

Print

Opens the Print dialog box from which you can configure settings for your report printout and print your report.

Exit

Exits CCPulse+ and closes the program window.


Understanding the CCPulse+ Interface > CCPulse+ Menus

View Menu

Use the View menu to specify which elements CCPulse+ displays in its main window and to manually update statistics. Many of the commands available from this menu are also available from the toolbar.

For the five toggle menu items—Tool Bar, Status Bar, Call Center Objects, Extended Status, and Workbook—a check mark precedes the menu item when that element is present within the CCPulse+ main window. The check mark disappears when the element is absent. To read information about a command, click the menu item on the image below or scroll down this page.

.

Use the commands in the View menu to perform the following tasks:

Always on Top

Keeps the CCPulse+ application window always visible on your computer screen and "on top" of all other graphical user interface (GUI) applications that are running on your computer. Pressing the F12 key performs the same action. This option takes effect immediately and does not require you to restart the CCPulse+ application.

Note: Even with this option enabled, some windows (such as the Task Manager and system dialog boxes) can appear over the CCPulse+ window.

Full Screen

Maximizes the CCPulse+ window to fit the full size of the computer screen. Pressing the F11 key performs the same action. In this view, none of the CCPulse+ toolbars or task bars are visible, with the exception of a small floating window that enables you to exit Full Screen mode.

Toolbar

Toggles the toolbar display on and off.

Status Bar

Toggles the status bar display on and off.

Call Center Objects

Toggles on and off the display of objects in the Call Center Objects Pane. When switched off, CCPulse+ dims the Call Center Objects pane and hides the Extended Current Status pane.

Extended Status

Toggles the Extended Current Status Pane on and off. When switched off, CCPulse+ enlarges the Call Center Objects Pane to cover both lefthand panes of the main window. Right-clicking an object on the Call Center Objects pane and then selecting Monitor Extended Current Status from the context menu also toggles on the Extended Current Status pane.

Note: You cannot monitor the extended current status of an object on the Call Center Objects pane when the Extended Status toggle is switched off—even though the Monitor Extended Current Status menu item is available from the context menu. You must first toggle on the Extended Status option.

Workbook

Toggles on and off the display of navigational tabs beneath the Views pane. When switched off, CCPulse+ enlarges the current view to occupy the entire space of the Views pane. In this mode, pressing the Ctrl+Tab (or Ctrl+Shift+Tab) keys advances you to the next (or previous) view.

Tree View/Table View/Graphs View

Toggles on and off the display of the tree, table, and graphs views within the Views pane provided that, in an open workspace, one of the three remains switched on at all times. Refer to the Views Overview topic for further information.

Selecting the Tree, Table, or Graphs icons from the toolbar performs the same action.

Peek Statistics

Updates all statistics, including those with notification set to No Notification at the Statistics Properties tab. The time profile remains unchanged; for example, reset-based statistics are not reset to 0.

Selecting the Peek Statistics icon from the toolbar performs the same action.


Understanding the CCPulse+ Interface > CCPulse+ Menus

Tools Menu

Use the commands in the Tools menu to define application settings, operate the Import/Export Utility, or run three of the four CCPulse+ wizards. You invoke the fourth wizard—the Configuration Wizard—from the File menu. To read information about a command, click the menu item on the image below or scroll down this page.

The Tools menu has these commands:

Settings

Opens the Settings dialog box where you can configure the frequency of statistical updates, the display of status icons, and status colors for your workspace. Selecting the Settings icon from the toolbar performs the same action.

Template Wizard

Invokes the Template Wizard. Only CCPulse+ administrators can use the Template Wizard. CCPulse+ disables this icon otherwise. Selecting the Template Wizard icon from the toolbar performs the same action.

Import/Export Utility

Invokes the Import/Export Utility and enables you to copy templates and action scripts from one place to another. Only CCPulse+ administrators can use the import/export utility. Otherwise CCPulse+ disables this icon. Selecting the Import/Export Utility icon from the toolbar performs the same action.

Threshold Wizard

Invokes the Threshold Wizard, with which you can create, modify, or delete thresholds. Only someone with CCPulse+ administrator privileges can run the Threshold Wizard. Otherwise CCPulse+ disables this icon. Selecting the Threshold Wizard icon from the toolbar performs the same action.

Action Wizard

Invokes the Action Wizard, with which you can create, modify, or delete Actions. Only someone with CCPulse+ administrator privileges can use the Action Wizard. Otherwise CCPulse+ disables this icon. Selecting the Action Wizard icon from the toolbar performs the same action.


Understanding the CCPulse+ Interface > CCPulse+ Menus

Window Menu

The Window menu is only active when a file is open. Use its commands to arrange how open views appear. To read information about an item, click the menu item on the image below or scroll down this page.

Cascade

Arranges open views in the CCPulse+ main window to overlay each other (cascade).

Tile

Arranges open views on the Views pane of the CCPulse+ main window so that their edges do not overlap.

Arrange Icons

Lines up minimized views in one or more rows at the bottom of the Views pane.


Understanding the CCPulse+ Interface > CCPulse+ Menus

Help Menu

Use the Help menu to view information about your environment, your specific version of CCPulse+, or to invoke this Help file. To read information about an item, click the menu item on the image below or scroll down this page.

The Help menu contains these items:

Contents

Opens this Help file.

About CCPulse+...

Opens the About CCPulse+ dialog box, shown below, which displays your version of CCPulse+ and copyright information. Click OK to close this dialog box.

Selecting the About icon from the toolbar or pressing the F1 key performs the same action.

Environment Information

Opens a dialog box of the same name providing information about your specific CCPulse+ environment.

Environment information includes:

  • The name of the current application (specified at login).

  • The name of the current user operating CCPulse+ (specified at login).

  • The name of the Stat Server, its host, and port. If the user is not currently connected to a Stat Server, this section displays information about the last Stat Server that was connected.

  • Cold Standby timeout shows the time in seconds set for CCPulse+ to reconnect to the backup Stat Server in Cold Standby mode. A value of 0 (zero) indicates the Warm Standby mode.

  • The name of the Configuration Server host and port.

  • The name, host, and port for the Database (DB) Access Point of the Data Mart you are using.

  • Historical support status.

  • The number of objects requested for monitoring in the current workspace, which is the number of objects listed on the Call Center Objects pane. If no workspace is open, this number reads 0.

  • The number of real-time and historical statistics in the current workspace that CCPulse+ requests of Stat Server. If no workspace is open, this number reads 0 (zero).

  • The number of thresholds applied in the current workspace.

  • The time difference between the host computer on which Stat Server is running and the host computer where CCPulse+ is running. This time difference is provided for informational purposes only because CCPulse+ automatically reconciles any time differences.

  • The name of the current workspace. If no workspace has been opened or if a workspace has been created but not saved, this field is blank.


Understanding the CCPulse+ Interface > CCPulse+ Panes

CCPulse+ Panes Overview

The CCPulse+ main window has three panes, shown in the graphic below, that display information about contact center objects:

  • Call Center Objects pane

  • Extended Current Status pane

  • Views pane

CCPulse+ displays information in the main window only if you open an existing workspace or create a new one. You can use the items from the View menu to hide or show certain panes, or you can use the toolbar to hide or show specific elements within the Views pane.

Note: If you cannot view the current-state information on individual agents on all CCPulse+ panes, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.


Understanding the CCPulse+ Interface > CCPulse+ Panes

Call Center Objects Pane

The Call Center Objects pane contains two tabs, Objects and Views, that store information about the objects selected for monitoring and the views created and currently stored in the workspace.

  • Objects tab

  • Views tab

Objects Tab

The Objects tab lists the objects CCPulse+ monitors in an open workspace. An object icon precedes each object.

Note: When a new object is added in Configuration Manager, the object will appear on the Call Center Objects pane only if objects of that type are being monitored in the current workspace. If you do not want to see the new object, you can recreate your workspace or disable notification of new objects in the CCPulse+ application properties from Configuration Manager. For more information about this option, refer to the Reporting 7.5 CCPulse+ Administrator's Guide.

  • To expand a group, click the plus sign ( [image]) preceding the object. When expanded, each member of the group appears indented underneath with an appropriate status icon representing the object's status.

  • Changes to members of agent and place groups are automatically reflected on the Call Center Objects pane. Note that agent and place groups are monitored only if you selected the Select All option when creating the workspace.

Note: The status icon does not appear for certain configuration objects, such as Script objects.

For example, expanding the Agent Group_2_reporting agent group in the image below displays the agents within that group. An Agent Object icon and a Status icon precede each agent. They indicate that Junya.6, Nguen.6, and Mary.6 are Not Ready for Next Call, Tammie.6 is in Wait for Next Call, and Shirley.6 is logged out.

To collapse a group, click the minus sign ( [image] ) to the left of the object. When collapsed, only the name of the group and its status appear.

Objects Tab Functions

If you right-click an object on this tab, a context menu appears offering commands similar to those shown below. The exact commands and their number depend on the object you right-click.

Click a menu item from the graphic above to read about the functionality provided with that command.

Views Tab

The Views tab lists the views previously created and currently stored in the workspace.

The check box preceding each view indicates whether the view is active or inactive. Activated (or active) views are those which currently appear on the Views pane of the CCPulse+ GUI. Deactivated (or inactive) views do not appear on the Views pane but are nonetheless stored in the workspace for future reference. Deactivating views increases CCPulse+ efficiency by reducing the amount of data processed at one time.

A red check mark signifies an active view. For example, View 2 in the image above is not active. Right-clicking a particular view from this tab displays the following context menu from which you can either activate or deactivate a view or permanently remove it from your workspace:


Extended Current Status Pane OVERVIEW

The Extended Current Status pane displays additional information about an object you select on the Call Center Objects pane or from the Tree view of the Views pane. The Extended Current Status pane consists of two windows: the Extended Status window and the Capacity window. You can switch between these two windows by tab control: to monitor the extended status of an object from the Extended Status window; or to monitor the capacity per media of an agent or group of agents from the Capacity window.

Note: To view the Capacity window and capacity information within this window, the following configuration options must be set to true in the CCPulse+ application:

  • EnableAgentCapacity and/or EnableAgentGroupCapacity

  • EnableAgentCapacityStatus

If these options are not set, or are set to false, the Extended Current Status pane displays only the Extended Status window. For more information about these and other options, see the CCPulse+ 7.5 Administrator's Guide .

To activate the Extended Current Status pane:

  1. From the Call Center Objects pane or from the Tree view of the Views pane, right-click an object to monitor.

  2. Select Monitor Extended Current Status from the menu.

  3. The Extended Current Status pane (shown below) opens to the Extended Status window and displays detailed information in real time about the object selected.

Turning Off or Moving the Extended Current Status Pane

To turn off the Extended Current Status pane, right-click anywhere within the pane and select Clear from the context menu that appears. CCPulse+ deactivates the window.

You can also move the Extended Current Status pane both within the CCPulse+ main window and outside. Within the main frame, you can position this pane:

  • Above or below the Call Center Objects and Views panes.

  • To the left or right of the Call Center Objects pane.

  • To the left or right of the Views pane.


Extended Current Status Window

U nderstanding the CCPulse+ Interface > CCPulse+ Panes > Extended current Status Pane

Extended Status WINDOW

The Extended Status window displays additional information about the status of an object you select on the Call Center Objects pane, or from the Tree view of the Views pane. This additional information may vary depending on the object type selected. For example, for an individual queue, CCPulse+ just displays one line of information showing the queue's general status. For an agent group selection, the Extended Status window shows the name of each agent as well as his or her place and switch in real time. For a particular place selection, CCPulse+ displays the switches assigned in the Configuration Manager to that place as well as the actions that have been applied to the place.

Note: For information about the icons that appear on the Extended Current Status window, see CCPulse+ Icons Overview.

Skills and Reasons

If configured to do so, CCPulse+ also shows the current set of Skills assigned and (if one exists) the Reason for the current state along with the other Current State information. This information is provided only for Agent-type configuration objects.

Reasons are shown for noncall-related statuses only. They are Logged In, Logged Out (if provided by Stat Server), AutoCallWork, Ready, and Not Ready.

Using the Extended Status Window

The Extended Status window is best used to view information about a single object, such as an agent, place, or switch, rather than a group of objects. CCPulse+ performance is compromised if you decide, for example, to view the extended current status for an agent group with dozens of agents. In fact, CCPulse+ may stall while trying to gather that much data. For further information on CCPulse+ performance measurements, refer to the Reporting 7.5 Reference Manual.

You can activate the Extended Status window by activating the Extended Current Status pane.

The Extended Current Status window (shown below for agent object Junya.6 ) displays detailed information in real time about the object selected.

In this example, the Extended Status window provides additional information about agent Junya.6 including:

  • His Place ID and Login ID.

  • His skills and skill levels, here Japanese, Chinese, and French.

  • The reason for his current status, if any. In this case no reason code is available, so the reason appears as n/a.

  • His statuses and the duration in each for the two DNs with which he is associated, one of which is a place and the other a fax. If he were logged out, Logged In would be replaced by the value n/a.

Note: The n/a status can indicate that an agent is doing noncall work, such as e-mail.

  • Whether he is Ready or Not Ready for a new interaction. His overall readiness is shown in the icon next to the Person icon at the top. Here it shows a red diamond, indicating that he is NotReadyForNextCall.


Capacity Window

The Capacity window displays information about the capacity of an agent or agent group to process Multimedia and Open Media interactions such as voice, e-mail, chat, and other customer-defined media.

Note: If the Capacity window is not visible in your workspace, check the settings of the capacity configuration options within the CCPulse+ application. See the CCPulse+ 7.5 Administrator's Guide for more information.

In table format, the Capacity window displays:

  • Media: The type of media to which the capacity statistics apply. Stat Server provides the media types.

  • Current: The current capacity of the agent or agent group by media type. This is the number of interactions of this media type that the agent or agent group is currently handling.

  • Max: The maximum capacity of the agent or agent group by media type. This is the maximum number of interactions of this media type that the agent or agent group can handle. This number is defined in Stat Server's capacity wizard.

  • Routable: The routable capacity of the agent or agent group by media type. This is the difference between the maximum capacity and the current capacity.

Note: Stat Server 7.6 is required to support this functionality.

Referring to the graphic above, you can see that:

  • One media type is provided by Stat Server (media = voice).

  • This agent is currently handling zero voice interactions (Current = 0).

  • The maximum capacity of voice interactions defined for this agent is three (Max = 3).

  • The current capacity of this agent to process additional voice interactions is three (Routable = 3).

To activate the Capacity window:

  1. From the Call Center Objects or Views pane, right-click an agent or agent group.

  2. From the context menu, select Monitor Extended Current Status

  3. On the Extended Current Status pane, click the Capacity tab.

Note: For information about the icons that appear on the Capacity window, see CCPulse+ Icons Overview.

You can also display capacity per media statistics in the table and graph views. To display capacity per media in these views, you must first create a template and add the CurrentAgentTargetState or CurrentAgentGroupTargetState statistic. You can then apply this template to one or more agents or agent groups to create a table or graph view. For further details, see the CCPulse+ 7.5 Administrator's Guide.


Views Pane Overview

U nderstanding the CCPulse+ Interface > CCPulse+ Panes > Views Pane

The Views Pane Overview

CCPulse+ calls the section of the workspace containing selected objects, tables, and graphs a view. All CCPulse+ views appear on the Views pane.

Note: If you cannot create, review, and/or remove views, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.

The Views pane provides real-time or historical statistics about the objects you select on the Call Center Objects pane and shows their values in both tabular and graphical format.

CCPulse+ displays the information in three subpanes:

  • Tree View

  • Table View

  • Graphs View

Using the navigational workbook tabs, located along the bottom of the Views pane, you can move from one view to the next. The image below shows the three subpanes of the Views pane.

Because views are part of your workspace, CCPulse+ saves the changes you make—including positioning, names, and graphical formats—when you save the workspace. You can also save certain information about the current view to HTML format using the Save As HTML command from the File menu.

CCPulse+ provides predefined templates and queries, that define a view's content and presentation, for certain Genesys solutions. These are available on the Reporting Template CD.

In addition, Administrators can create new templates and copy them to multiple storages using the Import/Export Utility. Users of an instance of CCPulse+ can create views using any template in the storage that is associated with their CCPulse+ instance.


Tree View

The Tree view of the Views pane (shown below) displays the objects and statistic names for a particular view in four levels: Root, Object, Statistic Group, and Statistic. A Tree View icon precedes the name of each object in the view.

You can select different levels in the view to affect what information CCPulse+ displays in the table and Graph views. Refer to the following topics for more information:

  • Reading Graphs Based On a Root-Level Selection

  • Reading Tables Based On a Root-Level Selection

  • Reading Graphs Based On an Object-Level Selection

  • Reading Tables Based On an Object-Level Selection

  • Reading Graphs Based On a Statistic Group-Level Selection

  • Reading Tables Based On a Statistic Group-Level Selection

  • Reading Graphs Based On a Statistic-Level Selection

  • Reading Tables Based On a Statistic-Level Selection

Right-clicking an object in the Tree view opens a context menu with the following two menu items:

Rename Document

Use this command to change the name of a view. You can only rename the Root level (the main view name) for any particular view. This name appears in the Workbook tab (below the view), the title bar of the main window, and the Root level of the Tree view for the particular view on the Views pane.

Note: You can only rename active views.

Set Threshold

If the root or an object is selected in the Tree view of the Views pane, selecting the Set Threshold menu item displays two additional submenus. From these submenus, you can select the appropriate statistical group and then the appropriate statistic on which to set a threshold. Selecting the statistic from the final submenu invokes the Threshold/Action Associations dialog box. The image below shows the context menus displayed from an object-level selection.

If a statistical group is highlighted when Set Threshold is selected from the context menu, one submenu listing the statistics in that statistical group appears. And, if you select Set Threshold from a specific statistic in the Tree view, the Threshold/Action dialog box immediately appears. You can only select one statistic at a time to apply a threshold to.

A practical application of this feature allows you to hide or show objects in the Tree view if they meet certain threshold conditions. (You would apply the Hide/Show action to accomplish this.)

Refer to the "Thresholds and Actions" chapter in the Reporting 7.5 CCPulse+ Administrator's Guide for descriptions of the sample scripts Genesys provides.


Table View Overview

The Table view displays statistical data in tabular format about the level selected in a Tree view of the View pane. The details change as you select different levels. The information in the table also differs depending on whether the view is based on a real-time or historical template. Click the following topics to learn how to read the information in a CCPulse+ table based on a particular level selection and what data you can expect to see for real-time and historical views:

  • Reading Tables Based On Root-Level Selection

  • Reading Tables Based On Object-Level Selection

  • Reading Tables Based On Statistic Group-Level Selection

  • Reading Tables Based On Statistic-Level Selection

Configuring Table Appearance

You can customize the appearance of CCPulse+ tables in a number of ways. These changes are saved with the workspace.

Note: If you cannot customize the appearance of CCPulse+ tables, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.

Sorting

You can sort statistics in ascending or descending order by double-clicking the column header in the table.

Resizing or Hiding Rows and Columns

You can change row heights and column widths or hide table rows and columns. To do that:

  1. Right-click the first cell in the row or column to be changed.

  2. Select the desired action from the context menu that appears.

To change sizes or hide multiple rows or columns, hold down the Shift key while resizing or hiding.

Note: For historical views, changes to a row containing a specific statistic affect all rows displaying values for that statistic for any configuration objects. That is, if you hide a row for a statistic, all affected rows are hidden. If you change the row height, the height of all rows containing that statistic change.

To restore hidden columns or rows:

  1. Right-click the column or row header.

  2. Select Show All Rows or Show All Columns from the context menu that appears.

Note: If you select Show All Rows or Show all Columns, all previously hidden rows or columns are displayed. You cannot restore display of only selected rows or columns.

Applying Thresholds and Actions

You can also change the characteristics of certain table cells by applying thresholds and actions. When a statistical value trips the threshold condition, CCPulse+ executes the associated action(s) scripts. For example, in the image below, you can see that two thresholds have been applied in the Tree view: namely, to Agent Status and Internal statistics. In the Table view of the image, you see that CCPulse+ has executed action scripts that change the background color of the table cells holding those statistics.

All time values in the table appear in the HH:MM:SS format unless the amount of time indicated by the statistic is less than 60 minutes. In that case, the format is MM:SS. For example, 3 hours, 15 minutes, and 20 seconds appears as 03:15:20, whereas 35 minutes 22 seconds appears as 35:22.

The Table toggle from the toolbar shows or hides the Table view.


Reading Tables Based on Root-Level Selection

When you select the root-level object of the Tree view, CCPulse+ displays information in the Table view differently based on whether your view is a real-time view or a historical view.

Real-Time Views

For real-time views, the Table view displays the monitored objects in rows and the statistics in columns. The grid, then, is filled with statistical measurements for each object. This information is real-time information and changes as soon as monitored activities change in your contact center.

The image below shows the root-level selected in the Tree view with statistical details for each agent monitored in the Table view.

Historical Views

For historical views, the Table view displays the objects, statistical groups, and statistics in rows and in columns, in as many time intervals as you specified when you created the historical view. CCPulse+ fills the grid with measurements for each statistic within each time interval. If during your CCPulse+ session, additional time intervals are written to the Data Mart, you must refresh your historical view to view them, which entails either reopening the view or reopening the workspace.

The image below shows the root level selected in the Tree view with statistical details shown in the Table view for the last seven days stored in the Data Mart.

CCPulse+ does not provide summaries by statistical group or by object for either type of view.


Reading Tables Based On Object-Level Selection

When you select an object level from the Tree view, the information CCPulse+ displays in the Table view for real-time views is very similar to what CCPulse+ displays in historical views. The difference lies in the number of time intervals depicted.

Real-Time Views

For real-time views, the Table view displays statistical groups and statistics in rows for a particular object and the current time interval in one unlabeled column. The grid, then, is filled with statistical measurements for a particular object. This information is real-time information and changes as soon as monitored activities change in your contact center.

The image below shows an agent-level object selected in the Tree view with grouped statistical details for that agent in the Table view.

Historical Views

For historical views, the Table view displays as many time intervals in columns as you specified when you created the historical view. If during your CCPulse+ session, additional time intervals are written to the Data Mart, you must refresh your historical view to view them, which entails either reopening the view or reopening the workspace.

The image below shows an agent-level object selected in the Tree view with statistical details shown in the Table view for the last seven days stored in the Data Mart.

CCPulse+ does not provide summaries by statistical group or by object for either type of view.


Reading Tables Based on Statistic Group Selection

U nderstanding the CCPulse+ Interface > CCPulse+ Panes > the Views Pane > Table View

Reading Tables Based On Statistic Group-Level Selection

When you select a statistical-group level from the Tree view, the information CCPulse+ displays in the Table view for real-time views is very similar to what CCPulse+ displays in historical views. The difference lies in the number of time intervals depicted.

Real-Time Views

For real-time views, the Table view displays the one selected statistical group and its statistics in rows for a particular object and the current time interval in one unlabeled column. The grid, then, is filled with statistical measurements belonging to the selected statistical group. This information is real-time information and changes as soon as monitored activities change in your contact center.

The image below shows the CallsReport statistical group selected in the Tree view with its corresponding four values listed in the Table view.

Historical Views

For historical views, the Table view displays as many time intervals in columns as you specified when you created the historical view. If during your CCPulse+ session, additional time intervals are written to the Data Mart, you must refresh your historical view to view them, which entails either reopening the view or reopening the workspace.

The image below shows the GroupBar statistical group selected in the Tree view with its corresponding three statistics listed in the Table view for each of the last seven days stored in the Data Mart.

CCPulse+ does not provide summaries by statistical group or by object for either type of view.


Reading Tables Based On Statistic-Level Selection

When you select a statistic level from the Tree view, the information CCPulse+ displays in the Table view for real-time views is almost exactly what CCPulse+ displays in historical views. The difference lies solely in the value of the statistic.

The table also contains Verification messages that provide information about the values set for the various parameters.

Real-Time Views

For real-time views, the Table view Values column displays the statistic's definition as defined on the Statistic Properties screen of the Template Wizard. The Verification column shows that Stat Server has validated the corresponding properties. Because real-time views deal only with one time period, CCPulse+ displays the value of the selected statistic in the Calls row, highlighted in pale green in the image below.

Historical Views

For historical views, the Table view displays the same information as for real-time views, only the value in the Calls row represents the name of the associated Data Mart column. This association is defined on the Historical Associations screen of the Template Wizard and is automatically assigned with the Genesys-provided templates. As historical views potentially deal with more than one time period, CCPulse+ does not display the value(s) of the selected statistic in this column.

Verification Messages

The Verification column contains one or more messages that refer to the statistical parameter that lies in that row. For example, in the graphic above, the message n/a appears in the Time Range row.

The table below lists possible values and their descriptions.

Message | Description
OK | The value in the associated row is valid.
Failed | The value in the associated row is incorrect.
n/a | The value for the row is either not applicable or not available.
n/c | The value in the row is irrelevant in the current context. Literally, stands for not of concern.
*Error* | Appears in the row for the formula used to calculate the statistic, if you are using a formula. Indicates that the formula cannot be evaluated.
*Huge* | Appears in the row for the formula used to calculate the statistic, if you are using a formula. Indicates that custom statistic's result has very big negative or positive value.


Graphs View

U nderstanding the CCPulse+ Interface > CCPulse+ Panes > the Views Pane > Graphs View

Graphs View Overview

CCPulse+ displays statistics for contact center objects in graphical as well as tabular format. One or more graphs appear in the Graph view of the Views pane for each statistic monitored. The CCPulse+ Administrator defines the format for all graphs when designing each template (using the Graph screen of the Template Wizard).

Note: If you cannot hide/show actions on the graph view, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.

The graphic below shows a sample Graphs view containing six graphs.

The detail displayed in each graph changes as you select different levels from the Tree view of the Views pane. The graph also differs depending on whether its view is based on a real-time or historical template. Graph labels show the first 11 characters. Longer names are truncated and followed by three dots (...) to indicate that they are shortened.

Note: The graphs show all time values in minutes. Therefore, the graphs use the format MM.fraction-of-a-minute. For example, one minute and five seconds appears as 1.08 in the graph, which is calculated using this formula: (60+5) / 60. This is different from the grid, which shows values in the HH:MM:SS format. The grid shows one minute and five seconds as 1:05.

Click the following topics to learn how to read the information in a CCPulse+ graph based on a particular level selection and what data you can expect to see for real-time and historical views:

  • Reading Graphs Based On Root-Level Selection

  • Reading Graphs Based On Object-Level Selection

  • Reading Graphs Based On Statistic Group-Level Selection

  • Reading Graphs Based On Statistic-Level Selection

Right-click a statistic on the graph and a ToolTip appears providing the name and value of that statistic. The ToolTip stays on-screen for three seconds while you hold down the mouse button or until you release the mouse button, whichever happens first. The ToolTip in the image below, for example, reads value 102563 for graph element (07/26/01). Given the context of the graph, you interpret this statistic as meaning that the Support group received 102,563 calls on July 26, 2001.

Double-click a particular graph in the Graphs view to enlarge it and fill the space of the entire Graphs view. Double-clicking the graph again returns it to its previous size.


Reading Graphs Based On Root-Level Selection

A root-level selection in the Tree view displays one graph for each monitored statistic in the Graphs view. Each graph contains a bar for each monitored object depicting the value of the statistic.

On the root level, the colors of the bars are not based on a template. CCPulse+ automatically selects the colors itself, because there may be many objects and therefore many colored bars to display. For Historical views, only a few graph styles are available. If the template specifies an unavailable graph style, CCPulse+ automatically substitutes another style for it. Only graphs based on object-level selections display the attributes specified in the template.

The number of time intervals depicted in the bars and possibly the number of statistics graphed on the Graphs pane differ between graphs based on real-time templates and graphs based on historical templates. The number of statistics may differ because historical views do not provide graphs for statistics where no association has been made to a comparable statistic in the Data Mart.

The image below shows the Graphs view for monitored agents in a real-time view. There are 14 graphs, one for each statistic. (The comparable historical view omits the AgentStatus and AvgHandle graphs.)

From the ToolTip in the expanded real-time graph below, you can see that Agent 1031 has been involved with 761 internal calls today. The other agents, represented by the colored bars to the right of Agent 1031, appear to have been involved with a similar number of internal calls.

For historical views, CCPulse+ stacks the time intervals onto one bar for each object. For example, from the ToolTip in the expanded historical graph below, you see that on July 28, 2001, Kate handled 479 consultation calls. Each bar along the x-axis shows the activity for one agent. The first bar represents Kate's activity.


Reading Graphs Based On Object-Level Selection

An object-level selection in the Tree view displays one graph for each monitored statistical category in the Graphs view. Statistical categories are part of a stat type's definition and are not editable from within CCPulse+. Each graph contains a bar for each monitored statistic defined using its statistical category. The colors, graph settings, and precision are identical for graphs based on real-time templates and graphs based on historical templates. What differ are the number of time intervals, the legend, and possibly the number of statistical categories graphed on the Graphs pane. The number of statistics may differ because historical views do not provide graphs for nonhistorical statistical categories such as CurrentTime and AgentStatus; real-time views do not have legends.

The image below shows the Graphs view for monitored statistical categories in a real-time view. There are five graphs, one for each category.

Notice that the comparable historical view, in the image below, lacks the AgentStatus graph, which measures the current activity of a particular agent.

From the expanded real-time graph below, you can see that Kate has been involved with roughly 50 consultation and inbound calls today. She has processed few, if any, internal or outbound calls.

For historical views, CCPulse+ provides a group of statistics for each time interval. For example, from the expanded historical graph below, you see Kate's activity for internal, consultation, outbound, and inbound calls over five consecutive days. She processed nearly 200 inbound calls on July 26, 2001, and nearly 500 inbound calls for each of the three days following. The legend to the right of the graph pairs the colors to the statistics.


Reading Graphs Based On Statistic Group-Level Selection

A statistic group-level selection in the Tree view displays one graph for its statistical category in the Graphs view.

Note: It is good design to group like statistics under the same statistical category when creating CCPulse+ templates. You can, however, create your own statistical group containing statistics defined from more than one statistical category. In this case, the CCPulse+ Graphs view displays more than one graph for the statistic-group level selected in the Tree view.

The graph contains bars for each monitored statistic defined using the group's statistical category. The colors, graph settings, and precision are identical for graphs based on real-time templates and based on historical templates. What differ are the number of time intervals depicted and the legend. Real-time graphs have no legend.

The image below shows the Graphs view for the TotalAdjNumber statistical category in a real-time view. Four monitored statistics have been defined using that statistical category. Kate has processed 56 consultation calls today.

For historical views, CCPulse+ provides a group of statistics for each time interval. Because the time interval now fills the x-axis, a legend is now necessary for interpreting the colors used. The comparable historical view, in the image below, shows the legend off to the right. On July 26, 2001, Kate processed 171 consultation calls.


Reading Graphs Based on Statistic-Level Selection

A statistic-level selection in the Tree view displays one graph for its statistical category in the Graphs view.

Note: It is good design to group like statistics under the same statistical category when creating CCPulse+ templates. You can, however, create your own statistical group containing statistics defined from more than one statistical category. In this case, the CCPulse+ Graphs view displays more than one graph for the statistic-level selected in the Tree view.

The graph contains bars for each monitored statistic defined using the group's statistical category. The colors, graph settings, and precision are identical for graphs based on real-time templates and based on historical templates. What differ are the number of time intervals depicted and the legend. Real-time graphs have no legend.

The image below shows the Graphs view for the TotalAdjNumber statistical category in a real-time view. Four monitored statistics have been defined using that statistical category. Kate has processed 56 consultation calls today.


Workbooks

A workbook is a collection of views in your workspace. Workbooks are convenient because they allow you to keep multiple views open at the same time and shift quickly between them. Each page of a workbook contains the three subpanes of the Views pane and one or more navigational tabs, located along the bottom of the window, that you can click to activate the corresponding view.

The image below shows a workbook with four navigational tabs.

The icons preceding the names in these tabs identify the view as real-time or historical and indicate whether the view is for a single object or a group.


Understanding the CCPulse+ Interface > CCPulse+ ICONS

CCPulse+ Icons Overview

CCPulse+ uses icons to represent objects, object status, and object hierarchy on the Call Center Objects, extended Current Status, and Views panes. Click on these topics for more information:

  • Object Icons

  • Status Icons

  • Tree View Icons

  • View-Type Icons

  • Other Icons

CCPulse+ also uses icons in the toolbar. Refer to the Toolbar topic for a description of these.


Understanding the CCPulse+ Interface > CCPulse+ ICONS

Object Icons

CCPulse+ uses the following Object icons on the Call Center Objects and Extended Current Status panes to help you identify objects. These icons, which are for display purposes only, are organized below as they appear on the Configuration Wizard–Object Types dialog box.

Tenant

Logical Persons

Group of Agents

Agents

Logical Places

Group of Places

Agent Place

Logical Switches

Switch

Queue

Routing Point

Virtual Routing Point

Virtual Queue

Service Number

External Routing Point

Routing Queue

Logical Directory Number

Extension

Position

E-mail

Voice over IP

Video

Chat

Co-Browse

Voice Treatment Port

Fax

S-Dialer

Group of Queues

Group of Routing Points

Group of Service Numbers

Logical Outbound

Campaign

Logical Campaign Group

Campaign Agent Group

Campaign Group Places

Logical Campaign Calling Lists

Campaign Calling List

Logical Calling List

Calling List

Logical Script

Staging Area

Strategy

Unknown


Understanding the CCPulse+ Interface > CCPulse+ ICONS

Status Icons

If you have set your workspace's application settings to have CCPulse+ use Status icons, the following status icons may appear on your Call Center Objects and Extended Current Status panes. These icons, reflecting the current status of the objects, are for display purposes only.

Campaign Statuses

Campaign Status: running.

Campaign Status: deactivated.

Campaign Status: activated.

Agent and Agent Group Statuses

Monitored: an object is being monitored.

Not Monitored: an object is not being monitored.

Logged In: an agent or group is logged in. When all the agents in a group are logged in, the group is available for calls.

Logged Out: an agent or group is logged out. When all the agents in a group are logged out, the group is not available for calls.

Not Ready for Next Call: an agent or group is logged in but is not ready. When all the agents in a group are not ready for calls or are on calls, the group is not available for new calls.

Waiting for Next Call: an agent is waiting for a call. If at least one agent in a group is waiting for a call, the group is available for calls.

Available Capacity: indicates that capacity is available on one or more media associated with the agent or agent group.

No Capacity Available: indicates that capacity is not available on any of the media associated with the agent or agent group.

Call Dialing: an agent is dialing a call.

Call on Hold: an agent is on hold.

Call Consult: an agent is speaking with another agent while a second call is on hold.

Call Ringing: a call has arrived at an agent’s telephone.

Call Outbound: an agent has picked up an outbound call.

Call Inbound: an agent has picked up an inbound call.

Call Internal: an agent is on an internal call.

ASM Engaged Type SDNA: an agent is involved in a productive call (engaged phase). See the "Predefined Objects" section in the Reporting 7.5 CCPulse+ Administrator's Guide for an explanation of SDNA and other types.

ASM Outbound Type SDNA: an agent is involved in an outbound call (second phase of a productive call). See the "Predefined Objects" section in the Reporting 7.5 CCPulse+ Administrator's Guide for an explanation of SDNA and other types.

After-Call Work: An agent is busy with after-call work.

Call Unknown: there is no available information about the call type from Stat Server.

Queue, Queue Group, Route Point, and Route Point Group Statuses

Monitored: an object is being monitored.

Not Monitored: an object is not being monitored.

Not Ready for Next Call: Queue/Route Point has reached its call capacity. New calls will overflow this Queue/Route Point. By default, the switch is configured to redistribute calls from the Queue/Route Point from this status to another Queue/Route Point.

Note: For Group Queues, this means that all Queues/Route Points in this Group have reached their maximum capacity (upper limit).

Waiting for Next Call: Queue/Route Point/Group is ready to accommodate new calls (capacity is not reached).

Status Unknown: indicates that a status has been cleared in the Settings Status Display list; the Status Unknown icon appears in the Tree view in place of the object's status.

Extended Current Status Pane Icons

Agent Skills: the selected agent's skills and skills levels are displayed next to this icon.

Status Reason: indicates the reason (aux) code, if any, that is associated with the agent's current status. If there is no reason code, n/a appears next to this icon.


Understanding the CCPulse+ Interface > CCPulse+ ICONS

Tree-View Icons

The Views pane makes use of Tree-view icons to represent an object's position with respect to other objects in a view's hierarchy. When you select a particular level in the Tree view, the table and Graph views change to display information about that level.

Root Level.

Object Level.

Statistic-Group Level. The upper-left portion of the icon is yellow when the statistical group is inactive and red otherwise.

Statistic Level. Indicates statistic-level table and Graph views. The upper-left portion of the icon is yellow when the statistic is inactive and red otherwise.

Statistic based on a custom formula.

Invalid Statistic. The statistic is not available in Stat Server. The upper-left portion of the icon is yellow when the statistic is inactive and red otherwise.

Statistic Level with threshold applied. Indicates that a threshold have been applied to the root-level. The upper-left portion of the icon is red when the statistic is active, and yellow otherwise.

Statistic Level with a customized threshold applied. Indicates that a customized threshold has been applied to the statistic. The upper-left portion of the icon is red when the statistic is in focus, or active, and yellow otherwise.


Understanding the CCPulse+ Interface > CCPulse+ Icons

View-Type Icons

Both the Call Center Objects and Views panes use the following icons to identify a view's type as either real-time or historical.

Real-time view. (The icon depicts a stop watch in front of a grid.)

Real-Time Group view.

Real-Time Group (Agent Group or Virtual Agent Group only) Dynamic Membership view.

Historical view. (The icon depicts a database object in front of a grid.)

Historical Group View.

Query-based view. (The icon depicts the letters SQL in front of a grid)

On the Views tab of the Call Center Objects pane, the icons precede the name of the view (see the image below).

On the Views pane, the icons appear within the Workbook tabs themselves (see the image below).


Understanding the CCPulse+ Interface > CCPulse+ Icons

Other ICONS

Table-Type Icons

The Views pane uses the following table-type icon in the Table View:

Agent Group or Virtual Agent Group Membership View.

This icon signifies that, based on the value of the MaxNumberOfAgents option in the CCPulse+ configuration, there are more agents in the Agent Group or Virtual Agent Group than can be displayed in the Dynamic View.

See the "Fine-tuning CCPulse+ Configuration" chapter in the Reporting 7.5 CCPulse+ Administrator's Guide for a description of all the CCPulse+ configuration options.

Tab Icons

The Extended Current Status pane uses the following icons:

Extended Status Tab

This icon signifies that additional information related to a monitored object in the view is available on this tab.

Current Capacity Tab

This icon signifies that additional information related to the capacity of an agent or agent group is available on this tab.


Understanding the CCPulse+ Interface

Toolbar

The toolbar, located just below the menu bar on the main window, provides shortcuts to frequently used commands. To use the toolbar, click an icon to invoke the action it represents. You cannot customize the toolbar.

Click an area of the toolbar to read other topics in this Help file pertaining to that item (see the image below).

To display or hide the toolbar, click the Toolbar toggle from the View menu.

You can reposition the toolbar, as you can with many other Microsoft Windows–based programs, along the left side of the CCPulse+ main frame, or you can "float" the toolbar over a designated area by left-clicking a gray area of the toolbar and dragging it to that location.

CCPulse+ provides a ToolTip for each icon. Hover your cursor over an icon to see its description as illustrated below.

The toolbar icons, their names, and descriptions are as follows:

New

Invokes the Configuration Wizard to create a new workspace. Selecting this icon performs the same action as selecting New from the File menu or pressing the Ctrl and N keys simultaneously (Ctrl+N).

Open

Opens a previously saved workspace. Selecting this icon performs the same action as selecting Open from the File menu or pressing Ctrl+O.

Save

Saves the current workspace. Selecting this icon performs the same action as selecting Save from the File menu or pressing Ctrl+S.

Tree

Toggle that displays or hides the Tree view of the Views pane where statistic levels (root, object, statistic group, statistic) of selected objects appear. Selecting this icon performs the same action as selecting Tree View from the View menu.

Table

Toggle that displays or hides the Table view of the Views pane where numerical statistics for object(s) selected in the Tree view of the Views pane appear. Selecting this icon performs the same action as selecting Table View from the View menu.

Graphs

Toggle that displays or hides the Graphs view of the Views pane where graphs of statistics for the selected objects in the Tree view of the Views pane appear. Selecting this icon performs the same action as selecting Graphs View from the View menu.

Settings

Opens the Settings dialog box where you can reconfigure the frequency of updates, status display, and status colors for your workspace. Selecting this icon performs the same action as selecting Settings from the Tools menu.

Template Wizard

Invokes the Template Wizard where you can add, modify, or delete templates. Only someone with CCPulse+ administrator privileges can use the Template Wizard. This icon is disabled if the user is not set up as an administrator in Configuration Manager. Selecting this icon performs the same action as selecting Template Wizard from the Tools menu.

Import/Export Utility

Opens the Import/Export Utility and enables you to copy templates and action scripts from one place to another. Only someone with CCPulse+ administrator privileges can use the Import/Export utility. Otherwise CCPulse+ disables this icon. Selecting this icon performs the same action as selecting Import/Export Utility from the Tools menu.

Action Wizard

Invokes the Action Wizard where you can create, modify, or delete actions. Only someone with CCPulse+ administrator privileges can use the Action Wizard. Otherwise CCPulse+ disables this icon. Selecting this icon performs the same action as selecting Action Wizard from the Tools menu.

Threshold Wizard

Invokes the Threshold Wizard where you can create, modify, or delete thresholds. Only someone with CCPulse+ administrator privileges can operate the Threshold Wizard. CCPulse+ otherwise disables this icon. Selecting this icon performs the same action as selecting Threshold Wizard from the Tools menu.

Peek Statistics

Updates all statistics, including those with notification set to No Notification at the Properties window. Selecting this icon performs the same action as selecting Peek Statistics from the View menu.

About

Displays the About CCPulse+ dialog box where version and copyright information appears. Selecting this icon performs the same action as selecting About CCPulse+... from the Help menu.

Always on Top

Keeps the CCPulse+ application window always visible on your computer screen and "on top" of all other graphical user interface (GUI) applications that are running on your computer. Selecting this icon performs the same action as pressing the F12 key or selecting Always on Top from the View menu. This option takes effect immediately and does not require you to restart the CCPulse+ application.

Full Screen

Maximizes the CCPulse+ window to fit the full size of the computer screen. Selecting this icon performs the same action as pressing the F11 key or selecting Full Screen from the View menu. In this view, none of the CCPulse+ toolbars or task bars are visible, with the exception of a small floating window that enables you to exit Full Screen mode.

Contents

Opens this Help file. Performs the same action as selecting Contents from the Help menu or pressing the F1 key.


Understanding the CCPulse+ Interface

Status Bar

The Status bar (shown below), located at the bottom of the CCPulse+ main window, displays information about the status of server connections and read/write operations.

Status of Configuration Server Connection

If your Configuration Server is up and running, the leftmost area of the Status bar at the base of the CCPulse+ main window reads CfgServerONLine to indicate that CCPulse+ is successfully connected to your Configuration Server. This area reads CfgServerOFFLine if, after your initial and successful start of CCPulse+, your connection to the Configuration Server is broken.

Status of Stat Server Connection

If you have opened or created a workspace, the second area from the left of the Status bar reads StatServerONLine to indicate that your workspace is connected to your Stat Server and that your Stat Server is up and running. If, during your CCPulse+ session, your Stat Server stops, this area reads StatServerOFFLine.

Status of Read/Write Operations

When reading information from the Configuration Server or Stat Server, CCPulse+ displays the operation it is performing in the third area of the Status bar. Common read-write operations include:

  • Opening or creating a workspace.

  • Loading templates and statistics.

  • Loading statistics.

If no read/write operations are in process, this area of the status bar is clear.

Loading Progress Indicator

The rightmost section of the Status bar is the Loading Progress Indicator. This area displays a dark blue bar (shown in the image below) that expands to show the progress of read operations. If no read operations are in process, the indicator is clear.


Application Settings Overview

Defining Application Settings

Defining Application Settings Overview

CCPulse+ applies default application settings to the workstation on which CCPulse+ is installed. You can change these settings at your discretion; they will be applied to all workspaces opened from that workstation. What this means is that a workspace can have different application settings depending on which workstation the workspace is opened from.

You change application settings from the Settings dialog box. To open the Settings dialog box, click either of the following:

  • The Settings icon on the toolbar

  • Settings from the Tools menu

The Settings dialog box contains three tabs corresponding to the list of configurable application settings:

  • Frequency of statistical updates from the Frequency of Updates tab. Settings apply to all statistics in a particular statistical group.

  • Color of statuses in graphs from the Status Colors tab.

  • Display of Status icons on the Call Center Objects and Extended Current Status panes from the Status Display tab.

You can also change date and time display settings for hourly and daily historical views and reports. See Configuring Display Date and Time for instructions.

CCPulse+ configuration options can also affect how the application operates. Configuration options apply to the referenced CCPulse+ Application object when you log in. (This is the value you provide at the Application field of the Login dialog box.) Refer to the chapter about fine-tuning the CCPulse+ configuration in the Reporting 7.5 CCPulse+ Administrator's Guide for a detailed description of CCPulse+ configuration options.


Defining Application Settings

Frequency of Updates Tab

Use the Frequency of Updates tab in the Settings dialog box (shown below) to specify the length of time (in seconds) between statistical updates for groups of like statistical categories.

You can set to any value between 2-600 by entering a number in the Value text box or moving the sliding arrow to the correct position. In the image below, for example, the setting instructs Stat Server to send updates to CCPulse+ every two seconds for all statistical categories falling under the DeltaAvgTime option, which includes statistical categories that calculate average times.

The changes you make affect new report views based on templates employing the statistical category(ies). Existing report views are not affected at the time of change. The change is apparent in the default values assigned to the Insensitivity or Notification Frequency fields of the Statistic dialog box.

To apply CCPulse+ defaults for all seven options, click the Restore button. CCPulse+ restores its default settings without confirmation and without affecting the changes you may have made at the Status Display or Status Colors tabs.


Defining Application Settings

Status Display Tab

Use the Status Display tab of the Settings dialog box, shown below, to choose whether CCPulse+ displays icons on the Call Center Objects pane of the main window to characterize the status of your monitored objects. The icon for each status you select precedes the object icon when the status applies for the object. In the image below, all statuses have been selected.

Note: Selecting or clearing display of status icons on the Call Center Objects pane does not affect their display in the Extended Current Status window. Status icons are displayed in this window regardless of the Status Display tab settings.

These statuses are listed as they have been prioritized in Stat Server Status Priority tables. Where one or more statuses apply to a particular object, CCPulse+ displays the highest-priority applicable Status icon from the list as determined by Stat Server.

The Type column indicates the kind of object that can have each status. For definitions of the different types, see the "Predefined Objects" section in the Reporting 7.5 CCPulse+ Administrator's Guide.

To display (or hide) a specific Status icon on the Call Center Objects pane:

  1. From the Status Display tab of the Settings dialog box, double-click the check box before each status icon you want to enable. A red check mark appears for each status if it was previously disabled. Double-clicking the box again clears the check mark.

  2. Click Apply and then OK to close the Settings dialog box.

Note: Changes are visible after you have saved the workspace, closed it, and reloaded it.

The first image below shows a portion of the Call Center Objects pane with the LoggedOut icon visible. This is what CCPulse+ displays when you select the check box preceding the LoggedOut status icon in the Settings dialog box. The second image shows the Call Center Objects pane with the Unknown Status icon visible, which appears when you clear the check box preceding LoggedOut at the Status Table and no other marked statuses apply.


Defining Application Settings

Status Colors Tab

Use the Status Colors tab in the Settings dialog box (shown below) to specify a color for each status.

Your color specifications are visible in the various views that use these statuses.

To change the color for a particular status:

  1. Select a status from the list box (such as NotMonitored).

  2. Use the sliders above the list box to intensify the red, green, and blue hues in your desired color. The corresponding color in the list box changes as you move the sliders.

  3. Click Apply when you have reached your desired color.

  4. Repeat Steps 1 through 3 for each status whose color you want to change.

  5. Click OK to close the Settings dialog box.

Upon close, your changes are automatically saved but aren't visible until you reopen the workspace. Click Restore to return all statuses to their color before changes were applied.


Defining Application Settings

Setting Default Application Settings

Use the CCPulse+ options listed below to set default values for the Insensitivity and Notification Frequency properties of a statistic. The values you set for each property appear as the default values on the Statistics Properties tab of the Statistic dialog box. The settings apply only during the creation of new templates.

  • DeltaAvgTime

  • DeltaTotalTime

  • DeltaCntCalls

  • IntervalForCurrentUpdate

  • HistoricalUpdateFrequency

  • NotifyEvery

  • ColdStandbyTimeout

Existing templates or report views are not affected because they are created before you change these application settings.

DeltaAvgTime

The DeltaAvgTime setting determines the default value for a statistic's Insensitivity property for statistics falling under the following statistical categories:

  • AverageTime
  • ElapsedTimePercentage
  • RelativeTimePercentage
  • RelativeNumberPercentage
  • TotalNumberInTimeRangePercentage
  • CurrentAverageTime
  • CurrentRelativeTimePercentage
  • CurrentRelativeNumberPercentage
  • CurrentNumberInTimeRangePercentage
  • CurrentContinuousTime
  • ServiceFactor1
  • TotalCustomValue
  • AverageCustomValue
  • MinCustomValue
  • MaxCustomValue
  • CurrentCustomValue
  • CurrentAverageCustomValue
  • CurrentMinCustomValue
  • CurrentMaxCustomValue

DeltaTotalTime

The DeltaTotalTime setting determines the default value for a statistic's Insensitivity property for statistics falling under the following statistical categories:

  • TotalTime
  • MaxTime
  • MinTime
  • CurrentTime
  • CurrentMaxTime
  • CurrentMinTime
  • EstimTimeToEndCurrentNumber

DeltaCntCalls

The DeltaCntCalls setting determines the default value for a statistic's Insensitivity property for statistics falling under the following statistical categories:

  • TotalNumber
  • TotalNumberInTimeRange
  • CurrentNumber
  • CurrentNumberInTimeRange
  • TotalNumberPerSecond

IntervalForCurrentUpdate

The IntervalForCurrentUpdate setting determines the default value for a statistic's Notification Frequency property for statistics falling under the following statistical categories:

  • CurrentNumber
  • CurrentState

HistoricalUpdateFrequency

The HistoricalUpdateFrequency setting determines the default value for a statistic's Notification Frequency property for statistics falling under the following statistical categories:

  • ElapsedTimePercentage
  • RelativeTimePercentage
  • RelativeNumberPercentage
  • TotalNumberInTimeRangePercentage

NotifyEvery

The NotifyEvery setting determines the default value for a statistic's Notification Frequency property for statistics falling under the following statistical categories:

  • TotalTime
  • TotalNumber
  • AverageTimeMaxTime
  • MinTime
  • TotalNumberInTimeRange
  • CurrentTime
  • CurrentMaxTime
  • CurrentMinTime
  • CurrentAverageTime
  • CurrentRelativeTimePercentage
  • CurrentRelativeNumberPercentage
  • CurrentNumberInTimeRange
  • CurrentNumberInTimeRangePercentage
  • TotalNumberPerSecond
  • EstimTimeToEndCurrentNumber
  • ServiceFactor1
  • TotalCustomValue
  • AverageCustomValue
  • MinCustomValue
  • MaxCustomValue
  • CurrentCustomValue
  • CurrentAverageCustomValue
  • CurrentMinCustomValue
  • CurrentMaxCustomValue

ColdStandby Timeout

Use this option to set the amount of time, in seconds, for CCPulse+ to wait before attempting to reconnect to a disconnected Stat Server or to connect to that Stat Server's backup Stat Server, if specified, in Cold Standby mode. You can choose a value between 0 and 2700 by entering it in the Value text box of moving the sliding arrow to the correct spot, as shown in the image below.

The default value for the ColdStandby Timeout is 0 (zero), indicating Warm Standby mode where the GUI client-server reconnection procedure is used to reconnect to Stat Server only after Stat Server is disconnected.

CCPulse+ reconnection procedures require that you explicitly select a primary or backup Stat Server to connect to at the Reconnect to Stat Server dialog box, shown below. You also have the option of cancelling the process.


Defining Application Settings

Configuring Display Date and Time

You can configure the way time and dates appear in hourly and daily historical reports. To do this:

  1. Open the Windows Control Panel and select Regional Settings or Regional Options, depending on which version of Windows you are running.

  2. Specify the desired time and date format on the Date and Time tabs.

  3. Click OK.

CCPulse+ automatically changes its column titles to display your hourly and daily reports in the format specified.

Note: As Regional Settings are configured separately for each workstation, CCPulse+ cannot store date/time format changes with a particular view or workspace.


creating templates

creating Templates Overview

A template defines the statistics you want included in a report and the manner in which they are displayed. You use a template as the basis for creating a view. Any CCPulse+ user can use any template that is in the storage associated with the current instance of CCPulse+. Administrators can import templates into a storage using the Import/Export Utility.

Note: The template itself does not display statistical results; it is the view created based on the template that displays them. If you modify a template, already-created views based on that template change correspondingly after you close and then reopen the workspace.

To create a CCPulse+ template, you must add or configure:

  • One or more object types.

  • One or more statistics.

  • One or more graphs to display the information.

CCPulse+ provides a basic set of templates for some Genesys solutions, complete with statistics typical for reporting activities handled by those solutions. The Genesys Reporting Technical Reference Guide for the 7.2 Release lists and describes these solution-specific statistics and templates.

Open Media Statistics

You can configure templates for open media statistics as well as those for Genesys solutions. To do so, you must already have set up the open media stat types, custom media filters, and time profiles. See the Genesys Reporting Technical Reference Guide for the 7.2 Release for complete instructions.

The Template Wizard Screens

The Template Wizard guides you through the process of creating, modifying, and deleting templates and consists of the following dialog boxes:

  • Template Definition

  • Predefined Statistics

  • Graph

From the Predefined Statistics dialog box, you can access additional information about the statistics in a given template. Click the Properties button to open the Statistic window, which has these tabs:

  • Statistic Properties

  • Historical Association

You can create or customize statistics by assigning a formula to them in the Custom Statistics dialog box.

How to Run the Template Wizard

To use the Template Wizard you must meet the conditions listed below. Otherwise, CCPulse+ deactivates the Template Wizard icon on the toolbar.

  • Your user account must have a rank higher than User in the Configuration Manager.

  • You must have a workspace open.

  • Your workspace must be connected to its Stat Server; that is, Stat Server must be online.

To invoke this Wizard, do either of the following:

  • From the toolbar, click the Template Wizard icon.

  • From the Tools menu, select the Template Wizard menu item.

Once you have created a template, you can use it in other workspaces or copy it to other storages by importing it using the Import/Export Utility. CCPulse+ stores templates in the file specified by the TemplatesStorageFullPath configuration option. Refer to the Reporting 7.5 CCPulse+ Administrator's Guide for more information about this option.


creating templates

Template Definition

At the Template Definition dialog box, define the object types on which your template is to based (see the graphic below).

To use this dialog box:

  1. Select one or more object types from the Available Object Types window.

  2. Select a template from the Available Templates window.

  3. Select an option from the Options pane.

  4. Click Next, which opens Predefined Statistics dialog box.

Note: If you select Delete selected template at Step 3, Next changes to Finish. You are prompted to confirm the deletion.

The contents of each area of the Template Definition dialog box are described below.

Available Object Types

The Available Object Types window shows the object types you can select for your template. CCPulse+ can monitor any configuration object type that has been defined to your workspace (using the Configuration Wizard - Object Types dialog box).

Note: You can only select objects belonging to the same compatibility set. For example, if you select Agent, you can also select compatible objects such as Agent Place, Campaign Agent Group, Group of Agents, but you cannot select E-mail, Extension, or External Routing Point. Upon any selection, CCPulse+ deactivates incompatible object types to prevent you from selecting them.

Available Templates

The Available Templates window lists the names of existing templates within your workspace that are applicable to the object types you selected in the left pane. For example, if you select Agent or Agent Group from the window, you will not see any queue or routing point templates listed in the left window. The Available Templates window is empty if no templates have been defined to your workspace that are applicable to the object type selected.

Options

From the Options pane you can choose to:

  • Create a new template.

  • Create a new template from a selected template.

  • Modify the selected template.

  • Delete the selected template.

Note: You cannot select either of the last two options if a view based on the selected template is open in the Views pane. In this case, CCPulse+ deactivates these options.


creating templates

Predefined Statistics

Use the Predefined Statistics dialog box to define which statistics CCPulse+ is to monitor in any of the views created from this template (see graphic below).

The steps you follow to use this dialog box depend on which option you selected from the Options pane in the Template Definition dialog box. In the procedure below, the step required to perform the option you selected is indicated in each step using the following key:

  • N= Create new template

  • S = Create from selected template

  • M= Modify selected template

Note: The Delete template option does not open the Predefined Statistics dialog box.

Using the Predefined Statistics Dialog Box

The steps below present an outline of the procedures for creating or modifying a template. For more information on any part of the procedure, click the link in that step.

  1. Type the name of a template in the Template Name field (mandatory for the N option).

  2. Add a new statistical group to the Requested Statistics window (mandatory for the N option, optional for the S and M options).

  3. Rename the group as appropriate (optional for all three options). You can change the order in which groups are listed by using your mouse to drag and drop the group to the new location.

  4. Select a statistic from the Available Statistics window and copy it to your new group in the Requested Statistics window (mandatory for the N option, optional for the S and M options). You can also drag and drop a statistic from another group into the current group.

Note: Dragging and dropping removes the statistic from its original group.

  5. Define the statistic's real-time properties (optional for all three options).

  6. Associate the real-time statistic with a comparable historical statistic in the Data Mart. Although this step is optional for all three options, you must perform it if you want to display historical views in your workspace. Note that historical associations have already been established for all of the statistics in the Genesys-provided templates (where historical associations are applicable).

  7. Repeat Steps 4 through 6 for every statistic you want to include in the new group (optional for all three options). You can change the order in which statistics are listed by using your mouse to drag and drop the statistic to the new location in the group or to a different group.

  8. Repeat Steps 3 through 7 for every group you want to add to your template (optional for all three options).

  9. Delete unwanted statistics or statistical groups as appropriate (optional for all three).

  10. Click Next, which opens the Graph dialog box of the Template Wizard (mandatory for all three options).

Note: If you see a red cross next to a statistic in the Requested Statistics window, or in the View, this means that the statistic is invalid in the current real-time Stat Server environment. Refer to Invalid statistics for further information.

Template Name

If you select Modify this template on the Options pane of the Template Definition dialog box, CCPulse+ deactivates this field, which contains the name of the template to be modified. If you selected Create new template or Create from selected template, type a unique template name (of no more than 30 characters) in this field. You can use spaces, multibyte symbols, special characters, and reserved words in CCPulse+ template names.

Available Statistics Window

This window lists the statistics from which you can choose to define your template. CCPulse+ groups these statistics by statistical category.

Requested Statistics Window

This window shows those statistics that you have selected to appear in the template. The idea here is that you will organize the statistics in this window by statistical category but you need not necessarily do so. You can rename the groupings or you can add two or more statistics having different statistical categories under one group. Doing so does not affect the statistics' Stat Server definition.

You can move items around within this window by using your mouse to drag and drop a statistic or group to a new location.

Using the five buttons at the bottom of this window you can further modify the statistics. You can also right-click a statistic to open a context menu with options of similar functionality (see the graphic below).

Invalid statistics

A red cross ( [image]) next to a statistic in the Requested Statistics window, or in the View, indicates that the statistic is invalid in the current real-time Stat Server environment (see the graphic below).

The Template Wizard will validate and verify every statistic at the time of creation based on a current connection to Stat Server. However, the next time you open your Workspace and connect to a different Stat Server, your results might be invalid statistics, because your Stat Server might have a different set of stat types, filters or profiles.

Invalid statistics can also occur when:

  • No specific stat type is defined for the particular template statistic.

  • The time profile applied to a template statistic no longer exists.

  • The filter or time range applied to a template statistic no longer exists.

To repair invalid statistics:

  • In the Template Wizard, open the statistic's property to determine what is missing and make an appropriate substitution.

  • In the View, at the Statistic level determine what is wrong. In any case, CCPulse+ will continue to request the statistic.

Note: In many cases, Stat Server will accept the request and provide the data to CCPulse+. However, if something is invalid in the properties of the statistic in relation to the current real-time environment, the value of the statistic in the View is not relevant to the originally defined Template statistic.

New Group/New Stat. Group

Click this button (or select this menu item) to create a new statistical group in the Requested Statistics window. CCPulse+ provides a default name, New Stat. Group, suffixed with an integer. Genesys recommends that you rename new statistical groups to something more meaningful. Names can be up to 64 characters long and can include these special symbols: :, \, and /.

Formula/New Formula

Select a statistical group and then click this button (or select this menu item) to create a statistic using a custom formula. It appears in the category you selected with the default name Formula1. To open the ActiveX Scripting Expression dialog box, where you can define the custom formula, double-click the new statistic, select it and click Properties, or right-click it and select Properties from the context menu that appears.

Rename

Click this button (or select this menu item) to rename either the selected statistical group or the selected statistic in the Requested Statistics window. Renaming a statistic does not change its stat type definition or other statistical properties. Names can be up to 64 characters long and can include these special symbols: :, \, and /.

Delete

Click this button (or select this menu item) to remove the selected statistic. CCPulse+ removes the statistic, without confirmation, from the selected statistic's statistical group. CCPulse+ does not, however, remove the statistic from other statistical groups where the statistic may also appear. You can also delete statistical groups with this command. Deleting a statistical group deletes all of its statistics from the template.

Properties

Click this button (or select this menu item) to display the Statistic Properties and Historical Association tabs of the Statistic dialog box where, among other properties, you can update the notification mode, notification frequency, and pair a real-time statistic to a historical statistic. If you select a formula statistic, clicking Properties opens the ActiveX Scripting Expression dialog box.

Copy Button

After you have created at least one statistical group in the Requested Statistics window, you can copy statistics from the Available Statistics window to the Requested Statistics window by selecting them and then clicking the Copy button, represented by the rightward double arrows underneath the Available Statistics window. Or you can double-click a statistic to copy it to the Requested Statistics window. You can copy a statistic more than once to the same or different statistical groups.

CCPulse+ truncates the name of the statistic to its first 22 characters and concatenates an integer to ensure uniqueness. For example, the TotalTalkStatusTime statistic, once copied, appears as TotalTalkStatusTime 1 in the Requested Statistics window. If you make a second copy of the same statistic, CCPulse+ names it TotalTalkStatusTime 2, and so forth.


Statistic Properties Tab

creating templates

properties tab

You can edit the properties of real-time statistics in your template from the Properties tab of the Statistic dialog box (see the graphic below). To access this tab, select the statistic you want to edit in the Requested Statistics window of the Predefined Statistics dialog box and click the Properties button or right-click the statistic and select Properties from the context menu that appears.

Statistic properties are specific to a particular template. For example, you can have a AverInboundStatusTime 1 statistic in each of two different CCPulse+ templates. The properties you assign to one need not duplicate those assigned to the other. Similarly, you can have two AverInboundStatusTime 1 statistics within the same template—either in the same statistical group or different groups. The properties you assign to one statistic do not affect the other. Click any of the fields in the Properties tab shown below for more details.

Note: The Historical Association tab only appears if you have defined a Data Mart connection in the CCPulse+ Application object.

The fields of the Statistic Properties tab are described below.

Alias

The name given to the statistic in the view. CCPulse+ automatically creates an alias when an available statistical type is copied to the Requested Statistics window. This alias can be up to 64 characters. You can edit this alias to be more meaningful for your environment.

Statistical Type

The statistical type currently associated with the selected statistic. The definition of the stat type appears at the bottom of the window. You can change the stat type by selecting a different stat type from the dropdown list. Only stat types compatible with the current statistical category appear in the list.

Insensitivity

Describes the condition for receiving an update of a statistic value for an object monitored in the view. The insensitivity value can begin at 0 (zero). An increase in the value of this parameter usually decreases network traffic, which is good, but it also reduces reporting accuracy because values are not updated as frequently.

Stat Server treats insensitivity as an absolute change in value for statistics that return whole numbers (such as CurrentNumberWaitingCalls or CurrentMaxWaitingTime) and as an absolute change in percentage for statistics that return a percentage value.

Stat Server reports the recalculated value only if the absolute value of the difference between the previous value and the recalculated value is at least equal to the number in the Insensitivity field.

Note: The actual calculation for insensitivity depends on the version of Stat Server you are using. Refer to the Framework 7.5 Stat Server User's Guide for more information.

Interval Type

Defines the time profile for the statistic using two drop-down lists. Time profiles specify the interval over which historical aggregate values are calculated. All time profiles are defined as configuration options in the Time Profiles folder of the Stat Server Application object in Configuration Manager. Refer to the Framework 7.5 Stat Server User's Guide for information about how to set up time profiles.

The first drop-down list displays the following time profile types:

  • Growing

  • Not applicable (used only with current statistical categories, such as CurrentAgentState, CurrentDNState, and CurrentPlaceState)

  • Sliding

  • Selection

  • SinceLogin

The second drop-down list displays any available intervals for the type selected in the first list—as configured in the Time Profiles Options folder of the Stat Server being used.

Notification Frequency

Sets how often, in seconds, Stat Server should recalculate the statistic and notify CCPulse+ if the statistic changes by more than the valued displayed in the Insensitivity field. This field is only used when a Time-Based Notification mode is selected for the statistic.

Notification Mode

Determines when Stat Server sends updated statistical values. These are the valid options:

  • Time-Based

  • Change-Based

  • No Notification

  • Reset-Based

Selecting Time-Based Notification mode instructs Stat Server to recalculate the statistic by the frequency displayed in Notification Frequency. Stat Server sends a new value to CCPulse+ only when the absolute difference from the last reported value exceeds the insensitivity parameter. Selecting Change-Based Notification mode instructs Stat Server to notify CCPulse+ about changes immediately.

Note: The actual calculation for insensitivity depends on the version of the Stat Server you are using.

No Notification mode instructs Stat Server to turn off automatic notification for the statistic. To update statistics defined with No Notification mode, select Peek Statistics from the View menu or click the Peek Statistics icon from the toolbar. This feature updates all statistics regardless of their Notification mode.

Selecting Reset-Based Notification mode instructs Stat Server to notify CCPulse+ immediately before a statistic is reset to 0 (zero). This Notification mode applies only for statistics belonging to historical statistical categories (such as Total_Calls_Outbound) that have growing time profiles. These time profiles have specified reset times that coincide with automatic notification times when the Reset-Based Notification mode is used (refer to the Framework 7.5 Stat Server User's Guide for more information).

Filter

Shows a drop-down list of available statistical filters that define restrictive conditions on actions used in computing the statistic. Refer to the Framework 7.5 Stat Server User's Guide "Statistical Categories" chapter to learn how to define filtered statistics.

Time Range

Defines a time range for collecting data for statistics belonging to the following statistical categories:

  • TotalNumberInTimeRange

  • TotalNumberInTimeRangePercentage

  • CurrentNumberInTimeRange

  • CurrentNumberInTimeRangePercentage

  • ServiceFactor1

  • TotalTimeInTimeRange

Refer to the Framework 7.5 Stat Server User's Guide for information about using and defining time ranges.

Time Range 1

A second time range that is only used by statistics of the ServiceFactor1 statistical category. Refer to the Framework 7.5 Stat Server User's Guide for further information.

Format

Defines the format of the statistic using a drop-down list of available formats. The format specifies whether values are shown as time or numbers, and, if numbers, how many decimal places they show. Depending on the statistic you chose, the available formats in the drop-down list might be time-based, numerical (as shown in the graphics below), or both (for the Custom Value category or for Java-statistics).

The possible values are:

Format: Time | Format: Numerical (With or Without Precision) | Format: String | Format: Current Status*
Days Hours:Min:Sec | Double, 3 digits after decimal point | String | StatusName (Hours:Min:Sec)
Seconds | Double, 2 digits after decimal point |  | (Hours:Min:Sec) StatusName
Min:Sec | Double, 1 digit after decimal point |  |
Hours:Min | Integer |  |
Hours:Min:Sec |  |  |

*This format is dependent on the application's ShowDurationBeforeStatusName option. The format can also be extended by a Reasons string (if any), provided that the ExtendedCurrentStatus option is set to True. For more information about this configuration option, refer to the Reporting 7.5 CCPulse+ Administrator's Guide.

Statistical Type Definition

Displays the parameters that define the statistical type within Stat Server.

Although you cannot edit these fields, you can place the cursor in the Main Mask and Relative Mask fields and use keyboard arrows to read lines that extend beyond the fields' length. For further information on stat type definitions, refer to the Framework 7.5 Stat Server User's Guide.

Note: Not all stat type fields used in defining custom media and formula-derived statistics are displayed in the Statistic Properties window.

Media Format

Use the Media Format section of the Statistics Properties tab to filter the display of the agent or agent group capacity by media type in the table view:

  1. Select a media type from the Media Filter drop-down menu.

Note: The available media types are determined by the values set for the MediaTypes configuration option in the CustomStatistic section of the CCPulse+ Application object. See the CCPulse+ 7.5 Administrator's Guide for more information about this configuration option.

  2. Chose a format to display the capacity information:

    1. Select one of the available predefined media formats from the Media Format drop-down menu:

Predefined Format | Example (Table View) | Description
%media(%c, %m, %r) | voice(0, 3, 3) | Displays media, current interactions, maximum interactions, and routable interactions in a single table cell. This is the default format.
%c, %m, %r | 0, 3, 3 | Displays current interactions, maximum interactions, and routable interactions in a single table cell delimited by commas.
%c, %r | 0, 3 | Displays current interactions and routable interactions in a single table cell delimited by commas.
%c | 0 | Displays current interactions.
%r | 3 | Displays routable interactions.
%m | 3 | Displays maximum interactions.

    2. Enter a user-defined string in the Media Format field by substituting for one of these placeholder values:

Placeholder | Type | Description
%media | string | Displays the name of the media in a single cell.
%m | single integer | Displays the maximum interactions in a single cell.
%c | single integer | Displays the current interactions in a single cell.
%r | single integer | Displays the routable interactions in a single cell.

Note: You must preface the user-defined strings with a % sign.

Example: To produce the results shown in the table view below, specify the following values in the Use Media Filter section: Media Filter = voice; Media Format = %media(%c, %m, %r) .


creating templates

Historical Association Tab

The Historical Association tab of the Statistic dialog box defines which Data Mart column CCPulse+ pulls statistical information from for the related real-time statistic (see the graphic below).

Note: The Historical Association tab only appears if you defined a Data Mart connection in the CCPulse+ Application object. Historical associations for data collected by IS Data Sourcer (connected to the Internet Contact Server database) are not currently available.

Historical associations are already assigned in the templates provided for 7.x Genesys solutions. Refer to the Reporting Technical Reference Guide for the 7.2 Release for the assignments. If you are working with a pre-7.2 version of a solution, request a Reporting Templates CD containing these templates from Genesys Order Management or your account representative.

To create historical views using a template, use this tab to manually associate real-time statistics with their historical counterparts in the Data Mart. If you have made at least one historical association to its real-time equivalent, then you can create historical views using this template.

The Historical Associations tab contains the Statistic field, which has a drop-down menu with a list of currently available Data Mart metrics to be associated with selected statistic, and the Description field, which is read-only.

Statistic

Lists the Data Mart composite metric to which this statistic is assigned. If no association has been made, this field reads No association.

  • Click the arrow to the right of the field to choose from a subset of all available Data Mart composite metrics. CCPulse+ builds the subset based on the statistic's stat type.

Note: There is no meaningful historical association for statistics of Current categories such as CurrentState or CurrentNumber. You can make such an association but, because the values are not in comparable time frames, the results are meaningless.

If the drop-down list contains no metrics, there is no Data Mart connection established for the CCPulse+ Application object in the Configuration Manager. Refer to the Reporting 7.5 Deployment Guide for information about connecting your CCPulse+ application to a Data Mart.

Description

Describes the metric as recorded in the Data Mart. However, in some cases, the description might not be the same, because of some variance in the selected metric.


Custom Statistics

creating templates

ActiveX scripting Expression

Formula statistics are defined in the ActiveX Scripting Expression dialog box (see the graphic below) as mathematical expressions that can involve:

  • One or more predefined statistics as variables.

  • Constants (but not constant expressions).

  • Basic arithmetical operators (+, –, x, /, %).

Formula statistics, or custom statistics, belong to a particular template. Administrators can import templates containing custom statistics into other storages using the Import/Export Utility.

When CCPulse+ displays custom statistics in the Table view, it includes Verification messages that provide information about the value for the associated parameter.

The ActiveX Scripting Expression dialog box has the following fields and commands:

Formula Statistic Alias

The name you assigned to this formula statistic.

Expression

The custom formula you are creating. It is composed of statistics and arithmetical operators. To insert a statistic into your formula, position the cursor where you want the statistic, select the statistic in the Available Statistics window, and then click Insert. Double-clicking the statistic also inserts it into the Expression window.

Available Statistics

The statistics that you can use in this custom formula. The list includes only those statistics that are available for the object type used in the template.

Extended Information About Agent Status

You can use the state object to obtain extended information about an agent's current status (such as AgentID, LoginID, and associated DN information) and agent or agent group capacity per media similar to what is shown in the Extended Current Status pane. For a code sample and further details, please refer to the Reporting 7.5 CCPulse+ Administrator's Guide.

Validate

Click Validate to have CCPulse+ test whether you have constructed a valid mathematical expression.

Insert

Select a statistic from the Available Statistics window and then click Insert to move the selected statistic into the Expression window for use in your formula.

Properties

For future use. In this release, the button is deactivated.


creating templates

Graph

In the Graph dialog box you define how graphics appear in the Graphs view of the Views pane (see the graphic below). This is the final dialog box in the Template Wizard. The major areas of this dialog box (presented counterclockwise) include:

  • Color Settings pane.

  • Statistic union for Graph creation list box.

  • Graph Settings pane.

  • An unnamed image pane.

The first two areas work in conjunction with each other as do the last two.

Once you define how graphs should appear for your template, click Finish to save the template and exit the Template Wizard.

Color Settings Pane

Defines the color of the statistic selected in the Statistic union for Graph creation list box. Position the three sliders or enter numerical values from 0 to 255 in the Red, Green, and Blue text boxes to define the intensity of the red, green, and blue components of the selected statistic (see the graphic below).

Statistic Union for Graph Creation List Box

Defines a subgroup that includes all statistics of the same statistical category and in the same statistical group (see the graphic below). Every subgroup is drawn on the same graph of any Graph view that uses the template.

CCPulse+ uses the color to the right of a statistic in the Statistic Union for Graph Creation list box (see the graphic below) in the graph itself. The color defined in Color Settings appears in this section of the Graph dialog box and in the graph thumbnail.

You can change the color for the currently highlighted statistic at the Status Colors tab of the Settings dialog box.

Graph Settings Pane

The Title field shows the graph's title for the statistics selected in the Statistic List. By default, CCPulse+ assigns the word Graph plus a sequence number for new templates; for example: Graph 1, Graph 2. Change this name as desired.

The Grid type field defines whether grid lines appear in graphs. Valid choices are None, Horizontal, Vertical, or Both.

If you select the 3D Type check box, CCPulse+ displays graphs in three dimensions; otherwise, graphs based on this template are in two dimensions.

The Precision field defines the number of decimal places to display for data. Valid values are integers from 0 (zero) to 3.

The Gallery type field defines the graph type to display. You can select one gallery type for each statistic subgroup. Available choices for real-time templates are as follows:

Lines
Bar
Curve
Scatter

Pie
Area
Pareto Step

Cube
Doughnut
Pyramid CurveArea

Gantt

Valid choices for historical templates are limited to these groups:

Lines
Bar
Area
Gantt

When you are choosing a Gallery type for a historical template and select an invalid type, CCPulse+ substitutes the most appropriate type of the four (Lines, Bar, Area, or Gantt) for it. For example, CCPulse+ reassigns the Curve, Scatter, and Cube gallery type selections to Bar, Pareto to Area, and so forth.

The following table shows how CCPulse+ displays graphs in 2D or 3D based on the different gallery types:

Gallery Type

Two Dimensional

Three Dimensional

LINES

Vertical axis shows statistical values. Horizontal axis shows a sequence of equidistant points denoting the statistics graphed.

Graph is a broken line with line segments connecting value points of every two consecutive statistics. Right-clicking a value point displays the numeric value of the statistic. Right-clicking a line segment displays the values of the left and right endpoints of the segment.

The two-dimensional graph is extended horizontally from front to back.

BAR

Vertical axis shows statistical values. Horizontal axis shows a sequence of equidistant points denoting the statistics graphed. Rectangles of fixed width and height and corresponding to statistical values are displayed for every statistic.

The two-dimensional graph is extended horizontally from front to back.

CURVE

Vertical axis shows statistical values. Horizontal axis shows a sequence of equidistant points denoting the statistics graphed. Graph is a smooth curve connecting value points of every two consecutive statistics.

The two-dimensional graph is extended horizontally from front to back.

SCATTER

Vertical axis shows statistical values. Horizontal axis shows a sequence of equidistant points denoting the statistics graphed. Graph consists of the value points of the individual statistics.

Graph consists of the value points of the individual statistics in a vertical plane positioned from left to right.

PIE

Graph is a disk of a fixed radius divided into sections representing individual statistical values relative to the sum of all statistical values graphed.

The two-dimensional graph is extended vertically into a cylinder.

AREA

Similar to LINES, but graph is vertically extended downward to the level of 0.

PARETO

A combination of BAR and a cumulative broken line consisting of segments. The segment value points are above the upper-right angles of the rectangles and at a level equal to the sum of the values of the current statistic and all statistics to its left.

The two-dimensional graph is extended horizontally from front to back.

STEP

The vertical axis shows statistical values. The horizontal axis shows a sequence of equidistant points denoting the statistics graphed. Every two consecutive statistical value points are connected by a horizontal segment followed by a vertical segment.

The two-dimensional graph is extended horizontally from front to back.

CUBE

Similar to SCATTER, but the points are extended to fixed-sized squares such that the upper side or wall is at the level given by the value of the corresponding statistic. The parts of the squares corresponding to negative vertical coordinates do not appear on the graph.

Similar to SCATTER, but the points are extended to cubes such that the upper side or wall is at the level given by the value of the corresponding statistic. The parts of the cubes corresponding to negative vertical coordinates do not appear on the graph.

DOUGHNUT

Similar to PIE, but a smaller concentric disk stands out from the image.

Similar to PIE, but a smaller cylinder stands out from the image.

PYRAMID

An isosceles triangle divided into horizontal sections representing statistics. The size of the base is fixed, and the height of each section is proportionate to the value of the corresponding statistic.

A pyramid with a square base partitioned into horizontal sections corresponding to the statistics. The size of the base is fixed, and the height of each section is proportionate to the value of the corresponding statistic.

CURVEAREA

Similar to CURVE, but the graph is vertically extended up from the level of zero.

The two-dimensional graph is extended horizontally from front to back

GANNT

Similar to BAR, but the vertical and horizontal axes are reversed.

The two-dimensional graph is extended horizontally from front to back

Unnamed Pane in the Graph Dialog Box

Displays a thumbnail preview of the type of graph defined in the Graph Settings fields.


Working With Workspaces

Working with Workspaces Overview

The objects you select to monitor and your active views are part of what CCPulse+ terms a workspace. A workspace exists inside the CCPulse+ main window. It has a Stat Server connection, storages, objects selected for monitoring, and all open views with their attributes (which include the names of the templates used to create the views, positioning and size of the view window, width of columns in the Table view, and statistics about the objects selected).

The portion of the workspace that contains a table and one or more graphs is called a view. The Views tab lists all views in an open workspace and the Views pane displays all active views. Workbook tabs at the bottom of the Views pane allow you to select a view to make it current.

You can save and reopen a workspace. When the workspace is open, the Call Center Objects pane (if not hidden) of the main window displays the objects you selected to monitor, which may include groups with or without agents or places, queues, routing points, campaigns, calling lists, and so on.

Modifying Workspaces

You can modify an existing workspace in many ways, including:

  • Creating new or deleting existing views, activating and deactivating views, changing the size, positioning, and visibility of view panes, and applying threshold/action associations.

  • Changing template settings, which correspondingly modifies all views based on that template.

Note: Threshold/action associations appear and are active immediately after you apply them. New template settings take effect in views when you close and then reopen the workspace. And in every case you must save the workspace for your changes to be visible the next time you open the workspace.

Changing Workspace Settings

You can also adjust CCPulse+ settings that apply to any workspace you load, such as:

  • Changing the size, positioning, and visibility of the various panes, toolbar, or menu bar.

  • Changing application settings such as the frequency of updates, status colors, or display of status icons on the Call Center Objects pane.

Some changes to application settings are not saved, such as hiding the Extended Current Status pane. Or, for example, if you save your workspace with the Call Center Objects pane hidden, when you close and then restart CCPulse+, the Call Center Object pane is again visible. All object groups in the Call Center Objects pane are automatically expanded when you open CCPulse+.


Working With Workspaces > Configuration Wizard

Configuration Wizard Overview

Use the three dialog boxes in the Configuration Wizard to create a new workspace:

  • Select StatServer

  • Object Types

  • Object Instances

To invoke the Configuration Wizard, click the New icon on the toolbar or select New from the File menu. The Select StatServer dialog box appears.

The workspaces you create are stored in the workspace.stg file specified by the WorkspacesStorageFullPath configuration option. CCPulse+ configuration options are described in the Reporting 7.5 CCPulse+ Administrator's Guide.


Working With Workspaces > Configuration Wizard

Select Stat Server

To select a Stat Server for a workspace:

  1. Choose the Stat Server from which you wish to retrieve statistics from the Server list box (shown below).

  2. Click Next to open the Configuration Wizard - Object Types dialog box.

Note: CCPulse+ workspaces store the Stat Server application name but not its host name or port number. This separation enables you to move the Stat Server to another machine (changing the host and port using the Configuration Manager) without having to update all workspaces associated with that Stat Server.


Configuration Wizard--Object Types

Working With Workspaces > Configuration Wizard

Configuration Wizard - Object Types

From the Configuration Wizard - Object Types dialog box (shown below), select the configuration object types you want to monitor. To view all objects of a particular type in the workspace, select the check box for the type or select the type and then press the space bar on your keyboard.

Click Next to open the Configuration Wizard - Object Instances dialog box.


Configuration Wizard--Object Instances

Working With Workspaces > Configuration Wizard

Configuration Wizard - Object Instances

From the Configuration Wizard - Object Instances dialog box (shown below), select the configuration objects you wish to monitor. Only previously selected object types are available.

To change the list of types, click the Back button.

To select particular objects, select the check box for the item or highlight the item and then press the space bar on your keyboard.

Click Finish to complete creation of the new workspace. Workspace objects appear in the Call Center Objects pane of the main window.

Although you have chosen the settings for the workspace, you have not yet saved it. Click the Save icon on the toolbar or select Save As from the File menu to save it.


Working With Workspaces

Opening Workspaces

To open an existing workspace:

  1. Click the Open icon from the toolbar or choose Open from the File menu. The Open an Existing Workspace dialog box (shown below) appears.

  2. Select a workspace from the list, choose the appropriate Stat Server from the list box, and then click Open.

By default, CCPulse+ displays, in the Stat Server field, the Stat Server to which the workspace was originally assigned. CCPulse+ Administrators, however, can change the assignment by selecting a different Stat Server from the list box.

CCPulse+ Administrators have access to all Stat Servers in the Configuration database for which they have Configuration Layer security access.

Note: The CCPulse+ Administrator status and Configuration Server security settings are entirely separate. Configuration Server does not recognize CCPulse+ Administrator status, which is used only by CCPulse+.

Access to multiple Stat Servers is useful if, for example, you want to build workspaces in a nonproduction environment and then move them over to a production environment once you have created and fine-tuned their configuration. This feature is also useful if you want to share workspace definitions, but not Stat Servers, with others in your organization.


Working With Workspaces

Deleting Workspaces

To delete a workspace:

  1. Click the Open icon from the toolbar or choose Open from the File menu. The Open an Existing Workspace dialog box appears as shown in the Opening Workspaces topic.

  2. Right-click the workspace you want to delete. This opens the context menu shown in the image below.

  3. Select Delete. You are prompted to confirm the deletion.

  4. Click Yes. CCPulse+ deletes the workspace.


Working With Workspaces

Renaming Workspaces

To rename a workspace:

  1. Click the Open icon from the toolbar or choose Open from the File menu. The Open an Existing Workspace dialog box appears as shown in the Opening Workspaces topic.

  2. Right-click the workspace you want to rename. This opens the context menu shown in the image below.

  3. Select Rename.

  4. Rename the workspace, then click another area of the window or press the Tab key.

CCPulse+ renames the workspace as you have indicated.


Creating Views

Creating Views Overview

A view is the section of the workspace containing selected objects, tables, and graphs. You can have multiple views stored in a workspace. You can select which views are active in the Views pane.

Views are based on templates or queries. You can create views based on any template or query that is available in your workspace and applicable to all the selected objects. If the template is changed while you have a view open that is based on that template, the changes to the template take effect after you close and then reopen the workspace.

The Views pane provides real-time or historical statistics about the objects you select on the Call Center Objects pane and shows their values in both tabular and graphical format. The list of statistics and their statistical grouping are defined in the template on which the view is based.

Note: Deactivating and then reactivating the view does not cause the view to reflect template changes.

The set of objects shown in a view does not change. However, views showing groups reflect group membership changes—for example, when an agent is added to the group you are viewing—after you deactivate and then reactivate the view. Group membership views can be created for AgentGroups, PlaceGroups, and DNGroups.

These are the three types of views:

  • Real-time views

  • Historical views

  • Query-based views

Note: If you cannot create, review, and/or remove views, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.


Creating Views > CREATING REAL-TIME VIEWS

Creating Real-Time Views Overview

From the Call Center Objects pane, you can create a real-time view based on a template and one or more selected configuration objects.

For members of Agent Groups or Virtual Agent Groups, you can create Real-Time Dynamic views. In a Dynamic view, an agent in a group is visible in the View if he or she is not Logged Out. Agents who are in a Logged Out state do not appear in the Dynamic view.

From the root-level Table view of any real-time view, you can also create a real-time Single-Object view by accessing the context-sensitive menu.

Click on any of the following topics to learn more about creating different types of real-time views:

  • Creating Real-Time Views

  • Creating Single-Object Views

  • Creating Real-Time Dynamic Virtual/Agent Group Views


Creating Views > CREATING REAL-TIME VIEWS

Creating Real-Time Views

To create a real-time view from the Call Center Objects pane:

  1. Do either of the following:

    1. Right-click an object, such as an agent, and select Create Real-Time View from the context menu that appears (shown in the graphic below).

    2. Right-click an agent or virtual group, and select one of three available options from the context menu that appears (shown in the graphic below)

      • Create Real-Time View—A real-time view that shows the group as a whole.

      • Create Real-Time View for Members—A real-time view that shows all members of the group individually.

      • Create Real-Time V/AG Dynamic Membership—A real-time view that shows all members of the Dynamic Virtual or Agent Group. See Creating Dynamic Virtual/Agent Group Views for more information on this type of view.

After you select one of the Real-Time Views, the Real-Time Data Template dialog box opens and displays all templates assigned to the workspace that can yield views based on the type of object you selected (as shown in the graphic below).

  2. Select a template from the list, and then click OK.

CCPulse+ activates and displays your new real-time view in the Views pane and adds this view to the list under the Views tab. To interpret the information presented, read the "Reading Tables... " and "Reading Graphs..." topics linked from the Table View and Graphs View topics.


Creating Views > CREATING REAL-TIME VIEWS

Creating Single-Object Views

To create a Single-Object View from the Table view of the Views pane:

  1. Right-click an object from the object column in the Table view, and select Create Real-Time View from the context menu that appears (as shown in the graphic below).

  2. The Real-Time Data Template dialog box opens displaying all the templates assigned to the workspace that can yield views based on the type of object you selected (as shown in the graphic below).

  3. Select a template from the list box, and then click OK. CCPulse+ activates and displays your new single-object view in the Views pane, and adds this view to the list under the Views tab.


Creating Dynamic Views

Creating Views > CREATING REAL-TIME VIEWS

Creating Dynamic Virtual/Agent Group Views

CCPulse+ can monitor and dynamically modify the membership of a selected group in real-time. It can track the current state of each agent in a group, and display it in the View, provided that the object is not in a Logged Out state. Any object in a Logged Out state will not appear in the View.

The following rules define the visibility of objects in the Real-Time Dynamic Group Membership view:

  • The agent will appear in the View if his or her current status is not Logged Out.

  • An agent whose status changes to Logged Out will remain visible in the View, but dimmed, until the DelayBeforeRemoval option expires. The agent will then disappear from the View, and all associated template statistics will be closed. If the agent status changes from Logged Out before the timer expires, the agent will remain visible in the View, but no longer dimmed.

  • Newly added agents will appear at the end of the Tree and Table Views, all template statistics will be requested, and all root-level defined thresholds will be automatically applied. Agents are listed in the View in the order they are received from Stat Server.

  • No more than the maximum number of agents, as defined by the MaxNumberOfAgents option, can appear in the View. If the number of working agents exceeds the set maximum, a new icon will appear in the first cell of the grid (in the Table view) to indicate that not all agents in the group appear in the View. Note that the icon will appear on the root level only.

To better understand this new functionality, please consider the following scenario:

Dynamic Agent Group View Scenario

An agent group, Gr1_AP_Switch, includes 20 working agents. In the application properties of CCPulse+, the MaxNumberOfAgents option is set to 10, and the DelayBeforeRemoval option is set to 20 seconds. In this scenario, if you choose to create a Real-Time Dynamic V/AG Membership View, the 20 agents appear on the Call Center Objects pane, but only 10 agents are visible in the Dynamic view. The icon in the grid View indicates that there are more agents in this group than are displayed in the View. Refer to the graphic below.

In this scenario, if one of the visible agents—for example, Agent1001—logs out, the object remains visible, but dimmed, in the View for the value defined by the DelayBeforeRemoval option (in this case, for 10 seconds). Refer to the graphic below.

At the expiration of the DelayBeforeRemoval timer, Agent1001 disappears from the View, and the next available agent in the group, Agent1011 in this example, appears at the end of the Table view. In this scenario, there are multiple agents waiting to be added to the View. Agents will appear in the view, in FIFO order (as determined by Stat Server), provided that the total number does not exceed the value of the MaxNumberOfAgents option.

Note: The icon is still visible in the Table view, indicating there are more working agents than are visible in the Dynamic view.

Refer to the Reporting 7.5 CCPulse+ Administrator's Guide for more information on configuration options.


Creating Views

Creating Historical Views

To create a historical view:

  1. From the Call Center Objects pane, right-click an object, such as an agent, and select Create Historical View from the context menu that appears. The right-hand image in the graphic below shows the context menu as it appears if you right-click an agent group. If you right-click a single agent or a place, the menu appears as shown on the left:

The Historical Data Template dialog box opens and displays all templates assigned to the workspace that can yield views based on the type of object you selected (see the graphic below).

  2. Select a template from the list box, and then click Next. The Time Intervals dialog box (shown below) opens. Use this dialog box to specify just how much history you want to see in your view.

Note: If you select a template for which no historical associations have been defined for one or more real-time statistics, CCPulse+ generates the following error message:

  3. Specify the aggregation and time range parameters for your view, and then click Finish.

  1. Select an aggregation from the list box at the top of the Time Intervals dialog box. Your choices are No Aggregation, Hourly, Daily, Weekly, Monthly, Quarterly, or Yearly.

  2. To indicate the time range of historical information that is to appear in your historical view, select either the Last radio button or the radio button for the type of time interval you want to see.

  3. If you select Last, the text box to the right becomes active and the fields below inactive. Enter the number of intervals you want to see in the text box. You can enter any integer from 1 to 99 but keep in mind that the number you specify determines the number of columns in your historical view.

The Last field works in conjunction with the aggregation value you selected in the list box at the top of the Time Intervals dialog box (in the graphic above the value is Daily). If, for example, you specify Daily aggregation and enter 30 in the Last field, your view displays 30 columns of information for the last 30 complete days available in the Data Mart—one column for each day. If, however, you change the aggregation to Monthly, your view displays historical information in 30 columns for the last 30 months available in the Data Mart. If Data Mart contains fewer aggregations than the number you specify, CCPulse+ displays fewer columns.

  4. If you select All recent intervals starting from selected date, enter the date you want to use as the starting point for your historical data display or click the drop-down arrow to choose the date from a calendar that appears. The number of columns in your view grows as time passes, or more specifically, as new information is transferred to and aggregated within the Data Mart.

  5. If you select All recent intervals within selected date range, the From and To fields underneath become active. In the From field, specify the earliest date for which you want historical information to appear in your view. In the To field, specify the latest date you want to view. You can enter dates or click the drop-down arrows to choose dates from a calendar that appears.

When you click Finish, your new view appears on the Views pane and displays historical data aggregated in the time intervals you specified. CCPulse+ also adds this view to the list under the Views tab of the Call Center Objects pane.

  • To interpret the information presented in historical views, read the "Reading Tables... " and "Reading Graphs..." topics linked from the Table View Overview and Graphs View Overview topics.

  • You can change how CCPulse+ displays date and time in hourly and daily historical views and reports. See Configuring Display Date and Time for instructions.

On occasion, you may see the following error message, which indicates that no historical data was found in the Data Mart for the time interval you specified. To see data, consider widening or changing the specified time interval in the Time Intervals dialog box.


Creating a Query-Based View

Creating Views

Creating QuerY-based views

To create a query-based view:

  1. From the Call Center Objects pane, right-click an object, such as Agent Group, and select Create Query Based View from the context menu that appears. The image in the graphic below shows the context menu as it appears if you right-click an agent group.

Note: For query-based views you can select multiple objects but only of one object type.

After you select Create Query Based View, the Resolving Wizard - Select Query dialog box opens and displays a list of available queries based on the type of objects you selected. The graphic below shows queries available for the object Agent Group.

  2. Select a query from the list and click Next. The Resolving Wizard - Select application dialog box (shown below) opens. From this dialog box, select the application source for the query and click Next.

Note: The applications shown on this screen are dependant on the configuration of CCPulse+. You may not see this screen if there is only one application available.

The Resolving Wizard - Time parameter dialog box opens. In this dialog box, you can specify the time parameters of the query as shown below.

  3. Specify the interval type and parameters for your view and then click Next.

    1. To indicate the time interval of historical information that is to appear in your query-based view, select either the Last radio button or the radio button for the type of time interval you want to see.

    2. If you select Last, the text box to the right becomes active and the fields below inactive. In the text box, enter the number of intervals you want to see. You can enter any integer from 1 to 99.

    3. Select a time interval from the list box to the right of the Last radio button. Your choices include Hours, Days, Weeks, Month and Years.

    4. If you select All recent intervals starting, enter the date you want to use as the starting point for your historical data display or click the drop-down arrow to choose the date from a calendar that appears. The number of columns in your view grows as time passes, or more specifically, as new information is collected.

    5. If you select All recent intervals within selected date range, the From and To fields underneath become active. In the From field, specify the earliest date for which you want historical information to appear in your view. In the To field, specify the latest date you want to view. You can enter dates or click the drop-down arrows to choose dates from a calendar that appears.

  4. When you click Finish, the results of your Query, displaying the historical data in the time intervals you specified, appear on the Views pane.

Note: This process may take some time (up to several hours) to create this view.

CCPulse+ also adds this view to the list under the Views tab of the Call Center Objects pane.


Thresholds and Actions

Thresholds and Actions Overview

CCPulse+ provides a set of tools, or wizards, to help you create, modify, or delete:

  • Thresholds using the Threshold Wizard.

  • Actions using the Action Wizard.

You must be a CCPulse+ Administrator to operate these wizards.

This section also describes the Threshold/Action Association dialog box where you can associate one or more thresholds and one or more actions to selected statistics.


Thresholds and Actions > Threshold Wizard

Threshold Wizard Overview

Just as CCPulse+ contains many predefined templates, CCPulse+ also contains many predefined thresholds and actions. CCPulse+ implements thresholds so that you can immediately monitor upcoming statistical values. A threshold is a logical expression that analyzes a statistic’s value and returns a Boolean value: either True or False. True indicates that the expression falls within specified limits. False indicates the reverse.

Thresholds in Real-Time Views

The image below shows a threshold applied to the Consult statistic in the AgentView real-time view. Notice the threshold icon preceding the statistic. In this particular example, because the threshold limit has been tripped, CCPulse+ has executed the associated SetColorGreen action script to color the background cell of the statistic in the Table view.

To find out what the condition was, right-click Consult from the Tree view and select Set Threshold from the context menu that appears. The Threshold/Action Association dialog box appears showing all thresholds and corresponding actions assigned to that statistic.

Note: If you cannot select the Set Threshold menu item from the context menu, contact your administrator to check the configuration settings for the CCPulse+ application in the Configuration Layer.

You can also apply a customized threshold to a statistic of a particular object in the Tree View. This customized threshold differs from any threshold applied at the root-level. Customized thresholds can only be modified explicitly.

Thresholds in Historical Views

You can apply thresholds to historical views as well. However, because there are potentially many time intervals reporting values for a particular statistic, CCPulse+ executes the associated action script against all time intervals if any one of them meets the threshold condition. For example, assume that a GreaterThan100K threshold has been applied to the Calls_Consult statistic in the historical view pictured in the image below. Because the number of consult calls exceeds 100,000 for at least one day, CCPulse+ executes the associated SetColorRed action script against all 5 days—including the days in which the number of consult calls handled was less than 100,000.

In the graphic below, the threshold icons next to the Internal, TotalLogin, and TotalWait statistics in the Historical View created for the last 14 months (although, only 5 months of data was available), indicate that thresholds have been applied to these statistics at the root-level (note the green icon). The different colored cells in the resulting Table View, indicate that the SetColorRed, SetColorGreen, and SetColorYellow actions were applied to these thresholds.

Notice in the graphic below, that a chain of thresholds and associated actions have been applied to the Internal Calls statistic. A SetColorGreen action has been applied to this statistic for a threshold value of less than 10. For values above 10, the SetColorRed action has been applied. Looking closer at the report, you can see that on June 5, the first threshold was tripped ("value less than 10") resulting in the green color applied to the background cell. On August 5, the second threshold was exceeded ("value greater than 10") resulting in the red background color of this statistic.

Thresholds in Query-Based Views

You can also apply thresholds to query-based views. A threshold applied to an object's statistic will check the value of the statistic and execute an associated action if the condition is met. In the General Skill Demand Report below, a threshold and SetColorGreen action have been applied to the (Skill Combination) Ratio statistic at the root level. A customized threshold and SetColorRed action have also been applied to a specific (Skill Combination) Ratio statistic. Both threshold conditions have been met, resulting in the red and green cells in the Table View of the Views pane.

Advanced Threshold Functions

With thresholds, you can immediately monitor the duration of a specific value by using ActionDelay functionality as described in the "Thresholds and Actions" chapter of the Reporting 7.5 CCPulse+ Administrator's Guide.

Also, if a statistic’s value remains unchanged during the time specified by your threshold rule's ActionDelay, you can use an Action, such as SetColor, to indicate that the value has not changed.

You can also use object linking and embedding (OLE) automation objects within threshold scripts because VBScript allows this.

Note: It is not recommended to use OLE objects with either a GUI-like appearance or with dialog boxes requiring explicit user confirmation.

You can configure an option, SafeScriptMode, to specify whether or not CCPulse+ opens a separate thread to execute VB-scripts. Refer to the Reporting 7.5 CCPulse+ Administrators Guide for further details.

Using the Threshold Wizard

CCPulse+ provides a Threshold Wizard to help you create threshold scripts. Only users with CCPulse+ Administrative privileges can use the Threshold Wizard.

To invoke this Wizard, click the Threshold Wizard icon from the toolbar or select the Threshold Wizard menu item from the Tools menu.

The Threshold Wizard has two dialog boxes:

  • Threshold Selection

  • Threshold Creation Page

Any CCPulse+ user can use any threshold that is in the storage associated with the current instance of CCPulse+. Administrators can import thresholds into a storage using the Import/Export Utility.


Thresholds and Actions > Threshold Wizard

Threshold Selection

Threshold Selection, the first dialog box in the Threshold Wizard, contains two windows and an Options pane as shown in the image below. The left window lists the available object types; the right window displays applicable thresholds for the object type(s) selected in the Available Object Types window. The Options pane provides four commands for CCPulse+ to execute.

To use this dialog box:

  1. From the Available Object Types window, select one or more object types for which you want to define a threshold. CCPulse+ only allows you to select compatible object types for the same threshold. You cannot, for example, select both Agent and Campaign object types.

  2. From the Available Thresholds window, select one threshold. This window lists only those thresholds that apply to the object type(s) you selected.

  3. From the Options pane, select a command option.

  4. Click Next to proceed (or Finish if you select the Delete Script option, in which case CCPulse+ prompts you to confirm the deletion before exiting the Threshold Selection dialog box).

CCPulse+ next displays the Threshold Creation Page dialog box.


Thresholds and Actions > Threshold Wizard

Threshold Creation Page

The Threshold Creation Page, shown below, is where you actually define a threshold. If you select either the Create From Selected or the Modify Script option in the Threshold Selection dialog box, CCPulse+ automatically populates the fields of the Threshold Creation Page as illustrated in the image below. If you select New Script, the fields are blank.

The fields and commands available in this dialog box are described below.

Threshold Name

Thresholds must have unique names within a given workspace. Depending on which option you select in the Threshold Selection dialog box, your action regarding this field differs.

Option | Do the following...
New Script Create From Selected Modify Script Delete Script | Type a unique name in this field. Type a unique name in this field. Not applicable. CCPulse+ deactivates this field. Not applicable.

Threshold Script

Use the VBScript language to write a threshold condition for CCPulse+ to evaluate. CCPulse+ provides the following predefined objects that you can use in your expressions:

Threshold.Result
Threshold.StatValue
Threshold.StatAlias
Threshold.ActionDelay
Threshold.StatReasons

CFGTenantDbid
CFGDbid
CFGObjectID
CFGType

CCPulseNotifier.SetColor (Color.Red)
CCPulseNotifier.SetColor (Color.Blue)
(Color.Green), ...DarkRed, ...DarkGreen, ...Cyan, ...DarkCyan, ...Magenta, ...DarkMagenta, ...Yellow, ...White, ...Black, ...Gray, ...DarkGray
CCPulseNotifier.ResetColor
CCPulseNotifier.Hide
CCPulseNotifier.Show

StatAction.SDNAWaitForNextCall
StatAction.SDNACallDialing
StatAction.SDNACallRinging
StatAction.SDNANotReadyForNextCall
StatAction.SDNACallUnknown
StatAction.SDNACallConsult
StatAction.SDNACallInternal
StatAction.SDNACallOutbound
StatAction.SDNACallInbound
StatAction.SDNALoggedOut
StatAction.SDNACallOnHold
StatAction.SDNANotMonitored
StatAction.SDNAMonitored
StatAction.SDNALoggedIn

StatAction.SDNAOnHook
StatAction.SDNAOffHook
StatAction.SDNAAfterCallWork
StatAction.SRPANotMonitored
StatAction.SRPAMonitored
StatAction.SRPANotReadyForNextCall
StatAction.SDNAASM_Engaged
StatAction.SDNAASM_Outbound
StatAction.SRPAWaitForNextCall
StatAction.SRPACallWait
StatAction.SCMPAStatusDeactivated
StatAction.SCMPAStatusActivated
StatAction.SCMPAStatusRunning

These objects, none of which are case sensitive, are fully described in the Reporting 7.5 CCPulse+ Administrator's Guide.

Timeout after...

The value specified in this field terminates the script after the specified number of seconds. If you suspect that your threshold script may endlessly run with the evaluation of each new statistic, specify a timeout to prevent numerous threads from clogging memory.

This situation may arise if, within your threshold (or action) script, for instance, you spawn one or more processes requiring user intervention to terminate it (them), such as opening a browser window. With each new statistical value evaluated as meeting a threshold condition, CCPulse+ uses yet another thread in spawning another process and this may continue until 100% CPU is reached or until the CCPulse+ application is stopped.

Execution Data Button

Click the Execution Data button to define statistical values for CCPulse+ to use when testing the threshold script for syntactical and logical errors. When you click this button, the Data Entry dialog box appears where you specify the property type, value, and value type to be used in the script. The image below, for instance, selects the StatValue property type, 0 for its value, and String for its value type. When done, click Ok to return to the Threshold Creation Page. CCPulse+ uses your test value when you click the Test button.

When you choose StatValue at the Data Entry screen, you can specify one of five value types (see image above). Only one value type applies for the other properties:

  • Value type for StatAlias is String.

  • Value type for StatReasons is String.

  • Value type for CFGTenantDbid is Long.

  • Value type for CFGDbid is Long.

  • Value type for CFGObjectID is String.

  • Value type for CFGType is Short.

Test Button

Click this button to test your script for syntax and logical errors prior to threshold creation.


Thresholds and Actions > ACTION WIZARD

Action Wizard Overview

CCPulse+ provides an Action Wizard help you create actions. Actions run in conjunction with the thresholds to which they are applied. CCPulse+ names the relationship between a threshold and its action(s) the threshold/action association, which you define in the Threshold/Action Association dialog box.

Only users with CCPulse+ Administrative privileges can use the Action Wizard.

To invoke this Wizard, click the Action Wizard icon from the toolbar or select Action Wizard from the Tools menu.

The Action Wizard has two dialog boxes:

  • Action Selection

  • Action Creation Page

Any CCPulse+ user can use any action that is in the storage associated with the current instance of CCPulse+. Administrators can import actions into a storage using the Import/Export Utility.


Thresholds and Actions > ACTION WIZARD

Action Selection

The Action Selection dialog box—the first dialog box of the Action Wizard—lists the actions stored in your workspace (see graphic below). From this dialog box, you can select an action to modify or delete or you can select to create a new action script.

The Available Actions window lists actions available in your workspace. To modify or delete an action script, select it from this window and then select the appropriate command from the Options pane to the right. The Options pane contains these four commands:

  • New Script

  • Create From Selected

  • Modify Script

  • Delete Script

If you select Delete Script, the Next button changes to Finish. After you click Finish, you are prompted to confirm your deletion.

If you select any other option, click Next and the Action Creation Page dialog box opens, from which you can write the script for your selected action.


Thresholds and Actions > ACTION WIZARD

Action Creation Page

The Action Creation Page helps you:

  • Write new scripts (New Script).

  • Modify existing scripts using VBScript (Modify Script).

  • Select from a predefined list of actions (Create From Selected).

Some available actions (for example, WAVAudioAlert, SendE-MailWithCDO, and PCSpeakerAudio) require a specific .dll to run. You can find samples in the ObjectSamples/vb folder. The Action Creation Page dialog box displays the sample script and instructions for each action selected (see the graphic below).

New Script

Use the New Script option to create new actions by modifying an existing script or by writing a new one. Enter a unique name in the Action Name field. Existing default scripts display in the Action Script window and you can modify or delete them as needed. You can also write new scripts. Click the Test button to test syntax and logical errors. If CCPulse+ detects no errors, it returns the following message:

Create From Selection

Use the Create from Selection option to create actions based on existing default scripts. When you select an action from the Available Actions window in the Action Selection dialog box, the name of the selected action appears in the Action Name field. Test the script by clicking the Test button.

Modify Script

To create a new action by changing existing default scripts, use the Modify Script option. Choose the action to be modified from the Available Actions window in the Action Selection dialog box. The name appears in the Action Name field. The existing default scripts display in the Action Script window, ready for modification. Click Test to test modified scripts.


Thresholds and Actions

Threshold/Action Association

You define which action(s) CCPulse+ is to take when a predefined threshold is reached at the Threshold/Action Association dialog box.

You can apply one or more actions to a particular threshold. You can also create a chain of thresholds to apply to a particular statistic. They are run in the order you set at the Threshold/Action Association dialog box. The first threshold that returns a True result stops the launch of all subsequent thresholds remaining in the chain. Any attached action(s) are also run in the order set. The next value for the statistic repeats the process.

To open the Threshold/Action Association dialog box:

  1. Right-click a selected object in the Call Center Objects pane or the Tree view of the Views pane.

  2. Select Set Thresholds from the context menu, and the Threshold/Action Association dialog box shown below appears.

Note: The thresholds and actions in your workspace may differ from those in the image below.

Use the >> and << buttons to apply or detach thresholds and actions. Actions are applied to the currently selected threshold in the Applied Thresholds/Actions list. Use the up and down arrow buttons on the right side of the dialog box to increase or decrease action and threshold priorities.

CCPulse+ displays the Threshold icon next to the selected object on the Call Center Objects or Views pane to indicate that a threshold has been applied to that object (see graphic below).

You can also apply the Hide/Show action from the Available Actions of the Threshold/Action Association dialog box to hide or show any object in the main window, as shown in the image of the Threshold/Action Association dialog box shown above.

Propagation of Thresholds

If you apply a threshold and associated action to a statistic at the root-level of a View:

  • The threshold(s) and associated action(s) are propagated to selected statistics of all objects.

  • Any changes made to the threshold or action at the root-level will be propagated to selected statistics of all objects in the View, unless there is a customized threshold applied to the object's statistic.

  • Any new objects added to the View will have the root-level threshold(s) and associated action(s) automatically applied. You do not have to manually apply threshold(s) to any newly added object's statistics.

Customized Thresholds

If you change or apply a threshold to a particular object's statistic, and this threshold differs from any threshold applied at the root-level, this new threshold will be called a "customized threshold", and it can only be modified explicitly, thereafter. CCPulse+ displays the customized threshold with a slightly different icon (see graphic below). Any changes made to the root-level threshold will not affect the customized threshold.

If you remove a customized threshold from a particular object's statistic, and a root-level threshold exists for that statistic, after re-activating the View, the root-level threshold will be propagated to this statistic.

To clear all thresholds and actions, including customized thresholds, right-click on the root-level object in the Views pane and select Clear All Thresholds.


Using the Import/Export Utility

Use the Import/Export Utility to copy templates, thresholds, and/or actions from one location (storage) to another. The Storage locations for each CCPulse+ instance are specified in the CCPulse+ application. The contents of that storage are available to anyone using that instance of CCPulse+. For example, users can create views based on any template located in their storage.

To access the utility, select Import/Export from the Tools menu or click the Import/Export Utility icon on the toolbar. You must be a CCPulse+ Administrator to use this utility.

The Import/Export Utility has two windows, Storage 1 and Storage 2, that list the contents of the two storage files (shown in the graphic below).

The Browse button above each window opens a standard dialog box that allows you to search your network for a storage. When you open the utility, the Storage 1 window displays the templates in the current template storage file.

Use the drop-down list box at the bottom of this dialog box to select which type of storage you want to work with (see graphic below).

The >> and << buttons between the windows copy a selected item from one storage to another. If an item with the same name already exists in the destination storage, CCPulse+ does not overwrite the existing item. Instead, CCPulse+ attaches the word Copy to the new item name followed by a sequence number in parentheses.

Within each window, you can right-click a selected template to display a context menu with two menu items: Rename and Delete, as shown in the graphic below. From this menu, you can change the name of the selected template or delete it from the storage.


Printing Reports

Printing Reports Overview

You can print reports for both real-time views and historical views.

  • For real-time views, what is printed is a snapshot of contact center activity at the moment you invoke the Print command.

  • For historical views, CCPulse+ prints whatever data you have configured to appear in the current view.

You can choose to print only tabular data (default), only graphs, or both tables and graphs. The report layout is essentially the same as the layout on the screen. However, large tables may be printed on multiple pages in such a way that you can arrange the pages to re-create the appearance of the table on-screen. Graphs may appear on separate pages of the report.

You can configure headers and/or footers to be printed on every page of a report. In addition to user-defined text, headers and footers can contain these automatically filled-out entries:

  • Current date and time. You can change how CCPulse+ displays date and time in hourly and daily historical views and reports. See Configuring Display Date and Time for instructions.

  • Page number.

  • Name of the current view.

CCPulse+ stores the print settings last used in a given instance of the application and offers them as default settings next time you print even if you restart CCPulse+ between print sessions.

Use the following dialog boxes for various CCPulse+ printing tasks:

  • Page Setup

  • Print Preview

  • Print

  • Style Manager

  • Style Editor


Printing Reports

Page Setup

Use the Page Setup dialog box to configure settings that adjust the way a report fits onto a printed page.

You can invoke this dialog box from the File menu.

The Page Setup dialog box contains the following panes and buttons:

Paper Pane

Specify the paper size and source by selecting one of the preset values from the list boxes in the Paper pane. The choices available depend on your printer.

Orientation Pane

Select the orientation of the paper on which the report is to be printed: Portrait or Landscape. The printout reproduces, as much as possible, the view as it appears on screen, so adjust the paper orientation accordingly.

Margins (inches) Pane

You can accept the default margin settings or enter other values.

OK Button

Saves any changes you make to the current workspace / current CCPulse+ session / the current CCPulse+ application.

Cancel Button

Cancels any changes you may have made and closes the Page Setup dialog box.

Printer Button

Selecting the Printer button opens another Page Setup dialog box where you can:

  • Specify which printer to use.

  • Define properties specific to the underlying print driver.


Printing Reports

Print Preview

Use the Print Preview window to display a report on-screen before printing it and change certain parameters that affect how the report is printed (see the graphic below). Open the Print Preview from the File menu.

Click an area of the graphic or scroll down this page to view information about a function.

Print

Calls the Print dialog box where you can specify the following properties for your printed report:

  • Report style

  • Printer and printer properties

  • Page range

  • Number of copies

Next Page

Displays the next physical page of the report on screen.

Previous Page

Displays the previous physical page of the report on screen.

One/Two Pages View

Toggles between a horizontal display of two pages of the report and a single-page display.

Zoom In/Out

Adjusts the magnification of the report on-screen to one of the following settings:

  • Full-page display

  • 100% (roughly matching the actual size of printed output)

  • 80%

Style

Lists the report styles defined for the workspace. You can use report styles to manage the appearance of reports.

Advanced

Opens the Style Manager where you can add to and/or modify report styles from the Style list box. However, you cannot modify the default preinstalled report style.

Grid Scale

Allows you to adjust report scaling using a slider bar. Values range from 100% to 400%.


Printing Reports

Print

Use the Print dialog box to choose a report style and adjust print settings (see the graphic below). Open the Print dialog box from the File menu or from the Print Preview dialog box.

Click an area of the graphic or scroll down this page to view information about a function.

Report Style Pane

The name of the report style that is currently selected. To create a new report style, or modify an existing one, click Style Manager.

Printer Pane

Use the drop-down box to choose a printer. Click Properties to adjust settings for your printer.

Print Range Pane

Select from All, Pages, or Selection. If you have not selected a specific section within your view to be printed, Selection is deactivated. If you select Pages, enter the pages you want to print. You can use Print Preview to see what part of the view is to appear on which printed page.

Copies Pane

Use the Copies pane to specify how many copies you want of your printout. If your printer supports it, the Collate check box is activated. Select this check box to have multiple copies of a report collated during printing.

OK Button

Confirms your print settings and initiates printing.

Cancel Button

Closes the Print dialog box without printing the report. No settings are saved.


Printing Reports

Style Manager

The Style Manager dialog box lists the report styles available for printing reports (see the graphic below). You invoke the Style Manager from either the Print Preview or Print dialog boxes by clicking Style Manager. All changes made to the Style Manager are stored in the current workspace.

The Style Manager dialog box has these buttons, described below.

New

Opens the Style Editor for you to create a new report style.

Edit

Opens the Style Editor for you to modify the selected report style.

Delete

Permanently deletes the selected report style from the workspace.

Set Default

Sets the selected report style as the default. For all new reports, CCPulse+ associates the default report style when printing unless specifically assigned otherwise. A white-on-black check mark appears before the style name in the Styles window to indicate the default report style.

Close

Closes the Style Manager dialog box and returns you to Print Preview or Print.


Style Editor

Printing Reports > Style Editor

Style Editor Overview

From the Style Editor you can define certain properties about a particular report style, which in turn defines how CCPulse+ prints a report.

  • Access the Style Editor by clicking New or Edit on the Style Manager dialog box.

The graphic below shows the top portion of the Style Editor with the five tabs under which these specific functions are organized.

  • The page header and footer

  • The report title

  • Grid

  • Graphs

  • Print order

Any changes you specify are saved to the workspace when you click OK.


Printing Reports > Style Editor

Header/Footer Tab

Use this tab to define the style of page header and footer information on the Header/Footer tab of the Style Editor (see the graphic below). The information you specify here affects each printed page. This differs from the information specified on the Report Title tab, which is displayed only on the first printed page.

For explanations of the Header/Footer tab functions, click an area of the graphic below or scroll down this page.

Style Name

The name of the report style. This field is deactivated if you are modifying an existing report style.

Header Windows

Enter the text you want to appear in the header in the three Header windows. The position of the windows, left, center, and right, corresponds to the location on the page where that particular text appears. The current font appears in the text box above the windows. Click Font to adjust font settings. You can also insert information using the buttons below the Footer windows (see below for explanations of the buttons' functionality).

Footer Windows

Enter the text you want to appear in the footer in the three Footer windows. The position of the windows, left, center, and right, corresponds to the location on the page where that particular text appears. The current font appears in the text box above the windows. Click Font to adjust font settings. You can also insert information using the buttons below the Footer windows (see below for explanations of the buttons' functionality).

Page Number Button

Inserts the page number variable at the point where you position the cursor in the Header or Footer windows. This button becomes active when the cursor is positioned inside one of the Header or Footer windows.

Total Pages Button

Inserts the total-number-of-pages variable at the point where you position the cursor in the Header or Footer windows. This button becomes active when the cursor is positioned inside one of the Header or Footer windows.

Date Printed Button

Inserts the current date variable at the point where you position the cursor in the Header or Footer windows. This button becomes active when the cursor is positioned inside one of the Header or Footer windows.

Time Printed Button

Inserts the current time variable at the point where you position the cursor in the Header or Footer windows. This button becomes active when the cursor is positioned inside one of the Header or Footer windows.

Additional Specifiers Button

Inserts additional specifiers (such as document information) at the point where you position the cursor in the Header or Footer windows. This button becomes active when the cursor is positioned inside one of the Header or Footer windows.

Use Long Date Format Check Box

If you select this check box, the date appears with the name of the month spelled out. If you clear the check box, the date appears in MM/DD/YYYY format.

OK Button

Saves the report style changes you made, closes the Style Editor dialog box, and returns you to the Style Manager dialog box.

Cancel Button

Closes the Style Editor dialog box without applying your changes and returns you to the Style Manager dialog box.


Printing Reports > Style Editor

Report Title Tab

Use the Report Title tab of the Style Editor to define the style of your report's title (see the graphic below). The report title only appears on the first page of your printed report. This differs from the information you specify at the Header/Footer tab, which is printed on each page of the report.

For explanations of the Report Title tab functions, click an area of the graphic below or scroll down this page.

Style Name

The name of the report style. This field is deactivated if you are modifying an existing report style.

Default Formatting

Indicates the font used for any title text that does not have another format specified using the Format check boxes (located below the Left, Center, and Right windows).

Left, Center, and Right Windows

Enter the text you want to appear in the title in the three windows. The position of the windows, left, center, and right, corresponds to the location on the page where that particular text appears. You can also insert information using the buttons below the Format check boxes (see below for explanations of the buttons' functionality).

Format Check Boxes

Select a Format check box and then click the ... button to change the format of the text in the corresponding window. The changes you make apply only to the text in that window. If you do not select a check box, the text appears in the default font.

Page Number Button

Inserts the page number variable at the point where you position the cursor in the Left, Center, or Right window. This button becomes active when the cursor is positioned inside one of the Left, Center, or Right windows.

Total Pages Button

Inserts the total-number-of-pages variable at the point where you position the cursor in the Left, Center, or Right window. This button becomes active when the cursor is positioned inside one of the Left, Center, or Right windows.

Date Printed Button

Inserts the current date variable at the point where you position the cursor in the Left, Center, or Right window. This button becomes active when the cursor is positioned inside one of the Left, Center, or Right windows.

Time Printed Button

Inserts the current time variable at the point where you position the cursor in the Left, Center, or Right window. This button becomes active when the cursor is positioned inside one of the Left, Center, or Right windows.

Additional Specifiers Button

Inserts additional specifiers (such as document information) at the point where you position the cursor in the Left, Center, or Right window. This button becomes active when the cursor is positioned inside one of the Left, Center, or Right windows.

OK Button

Saves the report style changes you made, closes the Style Editor dialog box, and returns you to the Style Manager dialog box.

Cancel Button

Closes the Style Editor dialog box without applying your changes and returns you to the Style Manager dialog box.


Printing Reports > Style Editor

Grid Tab

Use the Grid tab of the Style Editor to change how tabular information in your report is printed (see the graphic below).

For explanations of the Grid tab functions, click an area of the graphic below or scroll down this page.

Style Name

The name of the report style. This field is deactivated if you are modifying an existing report style.

Data Cells' Font

Sets font characteristics (for example, font, size, weight) for all table data in your report printout.

Header Cells' Font

Sets font characteristics (for example, font, size, weight) for all table headings in your report printout.

Print Cell Background Check Box

Determines whether to print the cell background color that is the result of a threshold/action association. For instance, if you have executed a threshold with the action SetRedColor, the background cell color for affected cells is red. Selecting or clearing this check box has no effect on cells of the default background color, which is never printed.

OK Button

Saves the report style changes you made, closes the Style Editor dialog box, and returns you to the Style Manager dialog box.

Cancel Button

Closes the Style Editor dialog box without applying your changes and returns you to the Style Manager dialog box.


Printing Reports > Style Editor

Graphs Tab

Use the Graphs tab of the Style Editor to change how graphs in your report are printed (see the graphic below).

For explanations of the Graphs tab functions, click an area of the graphic below or scroll down this page.

Style Name

The name of the report style. This field is deactivated if you are modifying an existing report style.

Print Graphs

Determines whether the graphs in your report are included in your printed report.

Graphs per Page

Determines the number of graphs to be included on any given page of your printed report. The resulting layout appears in the preview image.

Preview Image

Shows how the graphs are laid out on the page depending on how many you choose to print per page.

OK Button

Saves the report style changes you made, closes the Style Editor dialog box, and returns you to the Style Manager dialog box.

Cancel Button

Closes the Style Editor dialog box without applying your changes and returns you to the Style Manager dialog box.


Printing Reports > Style Editor

Print Order Tab

Use the Print Order tab of the Style Editor to Select whether grids (tables) or graphs should be printed first in the report (see the graphic below).

For explanations of the Print Order tab functions, click an area of the graphic below or scroll down this page.

Style Name

The name of the report style. This field is deactivated if you are modifying an existing report style.

Print Order Window

Lists the objects whose print order you can control relative to other objects in the window.

Move Up/Down

Moves the object you select in the Print Order window either up or down depending on which button you press. The Move Up button is deactivated if the object you select is already at the top of the list. Likewise, the Move Down button is deactivated if the object you select is already at the bottom of the list.

OK Button

Saves the report style changes you made, closes the Style Editor dialog box, and returns you to the Style Manager dialog box.

Cancel Button

Closes the Style Editor dialog box without applying your changes and returns you to the Style Manager dialog box.


Exporting Views

Exporting Views to HTML

You can save real-time, historical, and query-based views as HTML files. CCPulse+ exports whatever data you have configured to appear in the current view. Although you can have more than one view open in a workspace, only the view that has the current focus can be saved as an HTML file.

To export a view to HTML:

  1. Create or open the view you want to export to HTML. In the example below, a Historical AgentView has the focus on the Views pane. Notice that a threshold and action has been applied to statistics in the view.

  2. From the File menu, select Save As HTML.

  3. In the Save as HTML dialog box that opens, type in a name for the HTML file. Select a location for the file from the drop-down menu, and then click Save.

  4. Navigate to the location where you saved your html and open it in a browser window. The resulting HTML file contains the same data and format as the original CCPulse+ View. Notice in this example that the SetColor action applied to the tripped threshold limit is retained.